2007-05-19  Benoît Dejean  <benoit@placenet.org>

	* features.def:
	* include/glibtop/proclist.h:

	Small API change.
	get_proclist returns pid_t instead of unsigned for consistency.
	I have checked many archs and this doesn't break the ABI.

2007-05-17  Benoît Dejean  <benoit@placenet.org>

	* configure.in:

	Bumped version number.

2007-05-14  Benoît Dejean  <benoit@placenet.org>

	* include/glibtop/Makefile.am:
	* lib/Makefile.am:

	Fixed dist.

2007-05-13  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:
	
	Released 2.19.2.

2007-05-10  Benoît Dejean  <benoit@placenet.org>

	* lib/libgtop.sym:

	Added missing *_p symbols.

2007-05-07  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* lib/Makefile.am:
	* lib/libgtop.sym:

	Updated libtool version.
	Now uses a symbol list instead of a regex.

2007-05-07  Benoît Dejean  <benoit@placenet.org>

	* New API to get cwd, root and exe path
	of a process. API not frozen yet.

2007-04-27  Benoît Dejean  <benoit@placenet.org>

	Got rid of InodeDB.
	This feature was optionnal and i have never heard of anyone using
	it. I have never touched it so it may be broken since 2.6.

2007-04-11  Benoît Dejean  <benoit@placenet.org>

	* *:
	
	Renamed all glibtop_init_xxx functions
	to _glibtop_init_xxx so they get internal visibility.

	* configure.in:
	
	Bumped version number.

2007-03-13  Benoît Dejean  <benoit@placenet.org>

	* MAINTAINERS:
	
	Updated.

2007-02-25  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	
	Released 2.14.8.

2007-02-20  Benoît Dejean  <benoit@placenet.org>

	* *:
	
	Removed noisy $Id$.

2007-02-18  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* libgtop-sysdeps.m4:
	* sysdeps/Makefile.am:
	
	Huge (k)FreeBSD update.
	(k)FreeBSD support is freebsd/
	Other BSD are in bsd/
	
	Patch by Joe Marcus Clarke  <marcus@freebsd.org>
	Alexander Nedotsukov  <bland@FreeBSD.org>
	
	Closes #407693.

2007-02-14  Benoît Dejean  <benoit@placenet.org>

	* lib/read.c: (glibtop_read_l):
	* lib/write.c: (glibtop_write_l):

	Handle EINTR.
	
	* configure.in:
	
	Post release version bump.

2007-02-10  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:
	
	Released 2.14.7.

2007-01-14  Benoît Dejean  <benoit@placenet.org>

	* NEWS:

	Released 2.14.6.

2007-01-11  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Bumped version number to 2.14.6.
	
	* *:
	
	Got rid of CVS admin files.

2006-12-03  Benoît Dejean  <benoit@placenet.org>

	* doc/reference/libgtop-docs.xml:
	* glibtop.h:
	* include/glibtop/sysinfo.h:
	
	Made gtk-doc happy in order to dist.

2006-12-03  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	
	Released 2.14.5.

2006-12-02  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am:
	* configure.in:
	* doc/Makefile.am:
	* doc/reference/Makefile.am:
	* doc/reference/libgtop-docs.xml:
	* doc/reference/libgtop-sections.txt:
	* doc/reference/version.xml.in:
	* gtk-doc.make:
	* sysdeps/common/default.c:

	Converted to gtk-doc.
	Patch by Germán Poó-Caamaño <gpoo@ubiobio.cl>.

2006-12-01  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* configure.in:
	* libgtop-sysdeps.m4:

	Use the AS_HELP_STRING macro to format help messages.
	Fixes bug #337068.

2006-11-27  Benoît Dejean  <benoit@placenet.org>

	* libgtop-sysdeps.m4:
	
	Added kfreebsd support.
	Patch by Petr Salinger <Petr.Salinger@seznam.cz>.

2006-11-27  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Bumped version number.

2006-09-16  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:
	
	Released 2.14.4.

2006-09-10  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* include/glibtop/procstate.h:
	
	Removed wrong inline documentation.
	Closes #355286.

2006-09-05  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	
	Released 2.14.3.

2006-08-14  Benoît Dejean  <benoit@placenet.org>

	* src/inodedb/Makefile.am:

	Fixed inodedb build with --as-needed to please people
	who want to compile and optimize broken, deprecated and
	never-used feature.
	Patch by Daniel Gryniewicz <dang@gentoo.org>
	Closes #341041.

2006-08-10  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Bumped version number.
	
	* glibtop.h:
	* include/glibtop/init_hooks.h:

	Added missing G_(BEGIN|END)_DECLS.

2006-07-27  Benoît Dejean  <benoit@placenet.org>

	* NEWS:

	Released 2.14.2.

2006-07-27  Benoît Dejean  <benoit@placenet.org>

	* include/glibtop/netload.h:
	
	Tiny interface addition to handle wireless interfaces.

2006-06-26  Benoît Dejean  <benoit@placenet.org>

	* po/Makefile.in.in.in:
	
	Dropped dead file.

2006-06-25  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am: 
	
	Fixed build.
	Closes #341779.

2006-06-24  Benoît Dejean  <benoit@placenet.org>

	* Makefile.am:

	Build examples only when needed.
	Patch by dmacks@netspace.org.
	Closes #342863.

2006-06-24  Benoît Dejean  <benoit@placenet.org>

	* libgtop-sysdeps.m4:
	* sysdeps/solaris/glibtop_machine.h:
	
	Updated the GLIBTOP_SOLARIS_RELEASE
	
	Patch by hua.zhang@sun.com.
	Closes #345821.

2006-06-24  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Don't use kvm on newer solaris.
	Patch by hua.zhang@sun.com.
	Closes #345811.

2006-06-04  Benoît Dejean  <benoit@placenet.org>

	* libgtop-sysdeps.m4:
	
	Removed undefined LIBGTOP_HACKER_TESTS.
	Closes #342890.

2006-06-03  Benoît Dejean  <benoit@placenet.org>

	* .cvsignore:
	* Makefile.am:
	* configure.in:
	* po/LINGUAS:
	
	Use po/LINGUAS.
	Closes #337902.

2006-04-18  German Poo-Caaman~o  <gpoo@ubiobio.cl>

	* /include/glibtop/cpu.h:
	* /include/glibtop/fsusage.h:
	* /include/glibtop/loadavg.h:
	* /include/glibtop/mem.h:
	* /include/glibtop/mountlist.h:
	* /include/glibtop/msg_limits.h:
	* /include/glibtop/netload.h:
	* /include/glibtop/ppp.h:
	* /include/glibtop/procargs.h:
	* /include/glibtop/prockernel.h:
	* /include/glibtop/proclist.h:
	* /include/glibtop/procmap.h:
	* /include/glibtop/procmem.h:
	* /include/glibtop/procopenfiles.h:
	* /include/glibtop/procsegment.h:
	* /include/glibtop/procsignal.h:
	* /include/glibtop/procstate.h:
	* /include/glibtop/proctime.h:
	* /include/glibtop/procuid.h:
	* /include/glibtop/sem_limits.h:
	* /include/glibtop/shm_limits.h:
	* /include/glibtop/swap.h:
	* /include/glibtop/sysdeps.h:
	* /include/glibtop/uptime.h:

	Changed struct's definitions to be one type-one member.  To
	avoid problems with any further gtk-doc's implementation.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-10  Benoît Dejean  <benoit@placenet.org>

	* NEWS:

	Released 2.14.1.

2006-04-10  Benoît Dejean  <benoit@placenet.org>

	* lib/open.c: (glibtop_open_l):
	* lib/read.c: (glibtop_read_l):
	* lib/write.c: (glibtop_write_l):

	Fixed a bunch of signedness warnings.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* libgtop-sysdeps.m4:
	* sysdeps/freebsd/msg_limits.c:

	Use configure checks to detect whether we need to define either
	KERNEL or _KERNEL to get the definition of 'struct msginfo' in a
	BSD system.  This replaces the previous checks in the code that
	relied on __FreeBSD__ and similar macros.
	
	Before this change, the explicit definition of _KERNEL in the
	msg_limits.c file broke the build in NetBSD because it made the
	system headers pull in stuff unavailable to userland.

	Fixes bug #337207.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* libgtop-sysdeps.m4:
	* sysdeps/freebsd/Makefile.am:

	Check for the kvm library and use it to link the suid freebsd
	sysdeps code (only if available).  This library provides all the
	kvm_* functions used in it and is needed, at least, under NetBSD.

	Fixes bug #337247.

2006-04-04  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* sysdeps/aix/glibtop_server.h:
	* sysdeps/freebsd/glibtop_server.h:
	* sysdeps/osf1/glibtop_server.h:
	* sysdeps/stub/glibtop_server.h:
	* sysdeps/stub_suid/glibtop_server.h:

	Synch the list of GLIBTOP_SUID_* constants with those expected by
	the lib/sysdeps.c file.  Fixes the build under, at least, NetBSD
	and FreeBSD.

	Fixes bug #337246.

2006-04-02  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Bumped version to 2.14.1.
	Removed no longer needed gcc flag.

2006-04-02  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* src/daemon/daemon.h:
	* src/daemon/gnuserv.c: (main):
	
	Reverted. See #336837

2006-03-18  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-13  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:

	Released 2.14.0.

2006-02-27  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:

	Released 2.13.92.

2006-02-20  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	
	Bump version to 2.13.4.
	Reordered libs. Closes #329153.

2006-01-23  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* NEW:
	
	Released 2.13.3.

2006-01-02  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:

	Released 2.13.2.

2006-01-02  James Henstridge  <james@jamesh.id.au>

	* configure.in (LT_VERSION_INFO): add quotes around symbol definition.

2005-12-15  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* NEWS:
	
	Released 2.13.1.

2005-12-13  Benoît Dejean  <benoit@placenet.org>

	* NEWS:

	Released 2.13.0.

2005-12-12  James Henstridge  <james@jamesh.id.au>

	* doc/auto-macros.texi.in: remove unused file.

	* doc/libgtop2.texi: don't include auto-macros.texi.

	* doc/Makefile.am: don't build auto-macros.texi, since none of its
	macros are used in the documentation any more.

	* include/glibtop/global.h: don't include <config.h> from headers.

	* .../*.c: make sure <config.h> is the first thing included.

	* acinclude.m4: m4_include() libgtop-sysdeps.m4 rather than
	inlining it.

	* acinclude.m4, libgtop-sysdeps.m4: use third argument to
	AC_DEFINE() to set the comment.

	* configure.in: modernise a bit.

	* acconfig.h: remove file, since it is deprecated

	* autogen.sh: require automake 1.9 instead of 1.4.

2005-12-09  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* glibtop.h:
	* include/glibtop/cpu.h:
	* include/glibtop/procmap.h:

	Increased GLIBTOP_NCPU to 32.
	Added real_ncpu to struct glibtop.
	Added smaps members to glibtop_map_entry.

	Bumped version number to 2.13.0
	Broke ABI again. Sorry.

2005-12-08  Benoît Dejean  <benoit@placenet.org>

	* doc/reference.texi:
	* include/glibtop/limits.h:

	Dropped unused file and updated documentation.

2005-12-07  Benoît Dejean  <benoit@placenet.org>

	* configure.in:

	Bumped version number.

2005-12-04  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2005-11-29  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:

	Released 2.12.2.
	No 2.12.1.

2005-11-17  Timur Jamakeev  <timurj@cvs.gnome.org>

	* configure.in: Added 'ky' (Kirghiz) to ALL_LINGUAS.

2005-10-30  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* include/glibtop/glibtop-backend-info.h:
	* include/glibtop/glibtop-backend.h:
	* include/glibtop/glibtop-client.h:
	* lib/glibtop-backend-info.c:
	* lib/glibtop-backend.c:
	* lib/glibtop-client-private.h:
	* lib/glibtop-client.c:
	* lib/test-backends.c:
	* sysdeps/common/backend.c:
	* sysdeps/common/libgtop-common.backend:

	Dropped many dead files.
	Bumped release number.
	I guess this closes #320250.

2005-10-28  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-09-04  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	* configure.in:

	Released 2.12.0.

2005-08-22  Benoît Dejean  <benoit@placenet.org>

	* configure.in:

	Hum hum, it's better if release number is 2.11.92 too.

2005-08-22  Benoît Dejean  <benoit@placenet.org>

	* NEWS:

	Released 2.11.92.

2005-08-08  Benoît Dejean  <benoit@placenet.org>

	* NEWS:
	
	Released 2.11.91.

2005-08-04  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in:
	* examples/Makefile.am:

	Removed static examples.

2005-08-02  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in:
	* include/glibtop/Makefile.am:
	* include/glibtop/glibtop-server.h:
	* include/glibtop/init_hooks.h:
	* include/glibtop/sysdeps.h:
	* lib/init.c: (glibtop_init_s):
	* lib/sysdeps.c:
	* sysdeps/aix/open.c: (glibtop_init_p):
	* sysdeps/common/sysdeps_suid.c:
	* sysdeps/freebsd/open.c: (glibtop_init_p):
	* sysdeps/osf1/open_suid.c: (glibtop_init_p):
	* sysdeps/solaris/open_suid.c: (glibtop_init_p):
	* sysdeps/stub_suid/open.c: (glibtop_init_p):

	Moved _glibtop_init_hook_[sp] declaration to private
	glibtop/init_hooks.h. Marked them const.

	Fixed GLIBTOP_SUID_NETLIST issues.

2005-07-24  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS:
	* configure.in: Released 2.11.90.

2005-07-22  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: 2.11.3 post release version bump.

2005-07-13  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.11.2.

2005-07-06  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: 2.11.2 post release version bump.

2005-07-03  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.11.1.

2005-06-15  Benoît Dejean  <TazForEver@dlfp.org>

	* sysdeps/common/Makefile.am:
	* sysdeps/linux/Makefile.am: Removed LT_VERSION_INFO from LDFLAGS
	when unused.

2005-06-08  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: 2.11.1 post release version bump.

2005-06-08  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.11.0.

2005-06-07  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in:
	* glibtop.h:
	* include/glibtop/close.h:
	* include/glibtop/cpu.h:
	* include/glibtop/fsusage.h:
	* include/glibtop/loadavg.h:
	* include/glibtop/mem.h:
	* include/glibtop/mountlist.h:
	* include/glibtop/msg_limits.h:
	* include/glibtop/netlist.h:
	* include/glibtop/netload.h:
	* include/glibtop/ppp.h:
	* include/glibtop/procargs.h:
	* include/glibtop/prockernel.h:
	* include/glibtop/proclist.h:
	* include/glibtop/procmap.h:
	* include/glibtop/procmem.h:
	* include/glibtop/procopenfiles.h:
	* include/glibtop/procsegment.h:
	* include/glibtop/procsignal.h:
	* include/glibtop/procstate.h:
	* include/glibtop/proctime.h:
	* include/glibtop/procuid.h:
	* include/glibtop/sem_limits.h:
	* include/glibtop/shm_limits.h:
	* include/glibtop/swap.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/sysinfo.h:
	* include/glibtop/uptime.h:
	* sysdeps/common/Makefile.am:
	* sysdeps/common/default.c: (glibtop_close), (glibtop_init),
	(glibtop_get_cpu), (glibtop_get_fsusage), (glibtop_get_uptime),
	(glibtop_get_sysinfo), (glibtop_get_swap), (glibtop_get_proc_uid),
	(glibtop_get_proc_time), (glibtop_get_proc_state),
	(glibtop_get_proc_signal), (glibtop_get_proc_segment),
	(glibtop_get_proc_open_files), (glibtop_get_proc_mem),
	(glibtop_get_proc_map), (glibtop_get_proc_args),
	(glibtop_get_proc_argv), (glibtop_get_proclist),
	(glibtop_get_proc_kernel), (glibtop_get_ppp),
	(glibtop_get_netlist), (glibtop_get_netload),
	(glibtop_get_mountlist), (glibtop_get_mem), (glibtop_get_loadavg),
	(glibtop_get_msg_limits), (glibtop_get_sem_limits),
	(glibtop_get_shm_limits), (glibtop_get_sysdeps):
	
	Added a lot of new functions to replace dirty macros.
	Every macro glibtop_get_*(buf[, args]) has been turned to a function.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* dtd/: Bye bye.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* backends/: Removed useless files.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* examples/smp.c: (main): Removed translation.

	* lib/lib.pl:
	* lib/read.c:
	* lib/read_data.c:
	* lib/write.c:
	* src/daemon/gnuserv.c: s/gi18n.h/gi18n-lib.h.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* acinclude.m4: bye bye support.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* support/ : Removed unused files.
	
2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* examples/smp.c:
	* include/Makefile.am:
	* include/libgtop-i18n.h:
	* lib/lib.pl:
	* lib/read.c:
	* lib/read_data.c:
	* lib/write.c:
	* src/daemon/gnuserv.c: Got rid of include/libgtop-i18n.h.

2005-06-06  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: version bump.

2005-06-05  Benoît Dejean  <TazForEver@dlfp.org>

	* README: Updated so people can find the ChangeLogs.

2005-04-27  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: 2.10.2 post release bump.

	* include/glibtop/Makefile.am:
	* include/glibtop/parameter.h:
	* lib/init.c: Re-install open.h to please GTop (libgtop perl wrapper).

2005-04-10  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.10.1.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-31  Benoît Dejean  <TazForEver@dlfp.org>

	* libgtop-2.0.pc.in: Fixed.

2005-03-29  Benoît Dejean  <TazForEver@dlfp.org>

	* lib/read_data.c: (glibtop_read_data_l): Fixed warning.

2005-03-25  Benoît Dejean  <TazForEver@dlfp.org>

	* lib/error.c: (glibtop_error_io_vr), (glibtop_warn_io_vr):
	s/strerror/g_strerror.

2005-03-11  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: Post release version bump.

2005-03-07  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS:
	* configure.in: Released 2.10.0.

2005-02-28  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.9.92.

2005-02-25  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: /me stupid. I've already post-bumped version.

2005-02-24  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: post release bump 2.9.93.

2005-02-22  Benoît Dejean  <TazForEver@dlfp.org>

	* src/Makefile.am: Build and install libgtop2_daemon only if needed.

2005-02-21  Benoît Dejean  <TazForEver@dlfp.org>

	* lib/Makefile.am: don't export private symbols.

2005-02-15  Benoît Dejean  <TazForEver@dlfp.org>

	* backends/server/server.h:
	* configure.in:
	* glibtop.h:
	* include/glibtop/Makefile.am:
	* include/glibtop/gnuserv.h:
	* include/glibtop/open.h:
	* include/glibtop/read.h:
	* include/glibtop/read_data.h:
	* include/glibtop/types.h:
	* include/glibtop/write.h:
	* lib/close.c:
	* lib/init.c:
	* lib/lib.pl:
	* lib/open.c:
	* lib/parameter.c:
	* lib/read.c:
	* lib/read_data.c:
	* lib/write.c:
	* src/daemon/daemon.h:
	* src/daemon/io.c:
	* src/daemon/main.c: (handle_parent_connection):
	* src/daemon/slave.c: (handle_slave_connection),
	(handle_slave_command):
	* sysdeps/common/gnuslib.c:
	* sysdeps/solaris/glibtop_private.h: Removed some dead files.
	Don't install private headers.
	
	Depends on glib-2.6.
	Post-release bump : 2.9.92

2005-02-15  Benoît Dejean  <TazForEver@dlfp.org>

	* include/glibtop/error.h: Don't export private symbols.

2005-02-15  Benoît Dejean  <TazForEver@dlfp.org>

	* include/glibtop/error.h: G_GNUC_NORETURN love.

	* include/glibtop/errors.h:
	* lib/errors.c: Bye bye dead code.

2005-02-06  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS:
	* configure.in: Released 2.9.91.

2005-01-24  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS:
	* configure.in: Released 2.9.90.

2005-01-24  Benoît Dejean  <TazForEver@dlfp.org>

	* include/glibtop/procopenfiles.h:
	* sysdeps/linux/procopenfiles.c:
	* sysdeps/stub/procopenfiles.c: UTF-8-ified.

2005-01-22  Benoît Dejean  <TazForEver@dlfp.org>

	* examples/openfiles.c: (show_open_files):
	* include/glibtop/procopenfiles.h: added localsock { name } to
	glibtop_open_files_entry. Should not break ABI.

2005-01-12  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: 2.9.5.

2005-01-10  Benoît Dejean  <TazForEver@dlfp.org>

	* NEWS: Released 2.9.4.

2005-01-10  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in:
	* examples/.cvsignore:
	* examples/Makefile.am:
	* examples/openfiles.c: (show_open_files), (main):
	* features.def:
	* include/glibtop/Makefile.am:
	* include/glibtop/command.h:
	* include/glibtop/procopenfiles.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/union.h:
	* structures.def:
	* sysdeps/linux/Makefile.am:
	* sysdeps/linux/procopenfiles.c: (glibtop_init_proc_open_files_s),
	(get_socket_endpoint), (glibtop_get_proc_open_files_s):
	* sysdeps/stub/Makefile.am:
	* sysdeps/stub/procopenfiles.c: (glibtop_init_proc_open_files_s),
	(glibtop_get_proc_open_files_s):
	
	New feature by nick@reloco.com.ar (Nicolás Lichtmaier).
	
	glibtop_get_open_files(pid) -> list of files by process.
	TODO: Add documentation.

2005-01-03  Benoît Dejean  <TazForEver@dlfp.org>

	* examples/pprint.c: (pprint_get_cpu):
	* features.def:
	* include/glibtop/cpu.h:
	* sysdeps/linux/cpu.c: (glibtop_init_cpu_s), (glibtop_get_cpu_s):
	Added I/O and IRQ wait time to glibtop_cpu. Closes #160443.
	
	* configure.in: Post-release bump 2.9.4

2004-12-29  Benoît Dejean  <tazforever@dlfp.org>

	* lib/read_data.c: (glibtop_read_data_l):
	* lib/write.c: (glibtop_write_l): Fixed error messages.
	Closes #162406.

2004-12-23  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/error.h:
	* lib/parameter.c: (glibtop_set_parameter_l):
	* lib/read_data.c: (glibtop_read_data_l):
	* sysdeps/common/error.c: (print_server_name), (glibtop_error_vr),
	(glibtop_error_io_vr), (glibtop_warn_vr), (glibtop_warn_io_vr),
	(glibtop_error_r), (glibtop_warn_r), (glibtop_error_io_r),
	(glibtop_warn_io_r), (glibtop_error), (glibtop_warn),
	(glibtop_error_io), (glibtop_warn_io): Turned all macros to functions.
	Marked everything as G_GNUC_PRINTF and fixed format bugs.

	* sysdeps/common/fsusage.c: Marked some functions as G_GNUC_INTERNAL

2004-12-20  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: Released 2.9.3.

2004-12-10  Benoît Dejean  <tazforever@dlfp.org>

	* lib/lib.pl: Fixed Argument passing between library and server.
	Thanks everyone. Closes #139809.

2004-12-06  Benoît Dejean  <tazforever@dlfp.org>

	* acconfig.h:
	* configure.in:
	* debian/libgtop-dev.files.in:
	* doc/Makefile.am:
	* examples/Makefile.am:
	* examples/third.c:
	* include/glibtop/cpu.h:
	* include/glibtop/fsusage.h:
	* include/glibtop/loadavg.h:
	* include/glibtop/mem.h:
	* include/glibtop/mountlist.h:
	* include/glibtop/msg_limits.h:
	* include/glibtop/netlist.h:
	* include/glibtop/netload.h:
	* include/glibtop/ppp.h:
	* include/glibtop/procargs.h:
	* include/glibtop/prockernel.h:
	* include/glibtop/proclist.h:
	* include/glibtop/procmap.h:
	* include/glibtop/procmem.h:
	* include/glibtop/procsegment.h:
	* include/glibtop/procsignal.h:
	* include/glibtop/procstate.h:
	* include/glibtop/proctime.h:
	* include/glibtop/procuid.h:
	* include/glibtop/sem_limits.h:
	* include/glibtop/shm_limits.h:
	* include/glibtop/swap.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/uptime.h:
	* po/POTFILES.in:
	* sysdeps/Makefile.am:
	* sysdeps/names/.cvsignore:
	* sysdeps/names/Makefile.am:
	* sysdeps/names/cpu.c:
	* sysdeps/names/fsusage.c:
	* sysdeps/names/loadavg.c:
	* sysdeps/names/mem.c:
	* sysdeps/names/mountlist.c:
	* sysdeps/names/msg_limits.c:
	* sysdeps/names/netlist.c:
	* sysdeps/names/netload.c:
	* sysdeps/names/ppp.c:
	* sysdeps/names/procargs.c:
	* sysdeps/names/prockernel.c:
	* sysdeps/names/proclist.c:
	* sysdeps/names/procmap.c:
	* sysdeps/names/procmem.c:
	* sysdeps/names/procsegment.c:
	* sysdeps/names/procsignal.c:
	* sysdeps/names/procstate.c:
	* sysdeps/names/proctime.c:
	* sysdeps/names/procuid.c:
	* sysdeps/names/sem_limits.c:
	* sysdeps/names/shm_limits.c:
	* sysdeps/names/swap.c:
	* sysdeps/names/sysdeps.c:
	* sysdeps/names/uptime.c: Removed libgtop_names :)

2004-11-30  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: post-release bump to 2.9.1.

2004-11-30  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: released 2.9.0

2004-11-22  Benoît Dejean  <tazforever@dlfp.org>

	* AUTHORS:
	* MAINTAINERS: UTF-8-ified.
	
	* acconfig.h:
	* acinclude.m4:
	* configure.in:
	* kernel/ChangeLog:
	* kernel/sysctl/.cvsignore:
	* kernel/sysctl/Makefile:
	* kernel/sysctl/libgtop.c:
	* kernel/sysctl/libgtop.h:
	* kernel/sysctl/libgtop_syms.c:
	* kernel/sysctl/main.c:
	* kernel/sysctl/patch-2.2.1:
	* kernel/sysctl/patch-2.2.x:
	* kernel/table.h:
	* kernel/table20/Makefile:
	* kernel/table20/README:
	* kernel/table20/entry-i386.S:
	* kernel/table20/kernel.patch:
	* kernel/table20/main.c:
	* kernel/table20/unistd-i386.h:
	* kernel/table20/version.h:
	* kernel/table21/.cvsignore:
	* kernel/table21/Makefile:
	* kernel/table21/README:
	* kernel/table21/entry-i386.S:
	* kernel/table21/main.c:
	* kernel/table21/module.c:
	* kernel/table21/unistd-i386.h:
	* kernel/table21/version.h:
	* kernel/version.h:
	* libgtop-sysdeps.m4:
	* sysdeps/Makefile.am:
	* sysdeps/kernel/.cvsignore:
	* sysdeps/kernel/ChangeLog:
	* sysdeps/kernel/Makefile.am:
	* sysdeps/kernel/close.c:
	* sysdeps/kernel/cpu.c:
	* sysdeps/kernel/glibtop_private.h:
	* sysdeps/kernel/glibtop_server.h:
	* sysdeps/kernel/kernel.h:
	* sysdeps/kernel/kernel.s:
	* sysdeps/kernel/loadavg.c:
	* sysdeps/kernel/mem.c:
	* sysdeps/kernel/msg_limits.c:
	* sysdeps/kernel/netload.c:
	* sysdeps/kernel/open.c:
	* sysdeps/kernel/ppp.c:
	* sysdeps/kernel/procargs.c:
	* sysdeps/kernel/procdata.c:
	* sysdeps/kernel/prockernel.c:
	* sysdeps/kernel/proclist.c:
	* sysdeps/kernel/procmap.c:
	* sysdeps/kernel/procmem.c:
	* sysdeps/kernel/procsegment.c:
	* sysdeps/kernel/procsignal.c:
	* sysdeps/kernel/procstate.c:
	* sysdeps/kernel/proctime.c:
	* sysdeps/kernel/procuid.c:
	* sysdeps/kernel/sem_limits.c:
	* sysdeps/kernel/shm_limits.c:
	* sysdeps/kernel/siglist.c:
	* sysdeps/kernel/swap.c:
	* sysdeps/kernel/sysinfo.c:
	* sysdeps/kernel/uptime.c: Removed kernel patch and implementation.

2004-11-18  Benoît Dejean  <tazforever@dlfp.org>

	* Makefile.am: Forgot to ship libgtopconfig.h.

2004-11-18  Benoît Dejean  <tazforever@dlfp.org>
	
	* LIBGTOP-VERSION:
	* libgtop-mirror.sh: Removed unused files.

	* libgtopconfig.h.in: Added.
	* Makefile.am:
	* configure.in:
	* glibtop.h: Added libgtopconfig.h and LIBGTOP_VERSION_CHECK(X, Y, Z).
	This can be used in build tests.

2004-11-15  Benoît Dejean  <tazforever@dlfp.org>

	* copyright.txt: Added myself.

2004-11-13  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/procargs.h:
	* sysdeps/common/procargs.c: (glibtop_get_proc_argv_l): Removed SUID 
	wrappers because glibtop_proc_argv_l is a client-side function that wraps
	glibtop_get_proc_args.

2004-11-13  Benoît Dejean  <tazforever@dlfp.org>

	* structures.def: Removed old functions. OMG, everything is really broken
	here :/

2004-11-13  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: Bumped to 2.9.0
	
	* configure.in:
	* examples/.cvsignore:
	* examples/Makefile.am:
	* examples/netlist.c: (main):
	* features.def:
	* include/glibtop/Makefile.am:
	* include/glibtop/command.h:
	* include/glibtop/netlist.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/union.h:
	* include/glibtop/version.h:
	* src/daemon/version.c:
	* sysdeps/linux/Makefile.am:
	* sysdeps/linux/netlist.c: (glibtop_init_netlist_s),
	(glibtop_get_netlist_s):
	* sysdeps/names/Makefile.am:
	* sysdeps/names/netlist.c:
	* sysdeps/solaris/Makefile.am:
	* sysdeps/solaris/netlist.c: (glibtop_init_netlist_s),
	(glibtop_get_netlist_s): Added new function glibtop_get_netlist().
	Implemented for linux and solaris. Doc needed.

2004-10-11  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS: Released 2.8.1.

2004-10-10  Benoît Dejean  <tazforever@dlfp.org>

	* lib/init.c: Replaced C99 initializer.
	
	* lib/read.c: (do_read): 1-line cleanup.

2004-10-09  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: Depends on glib 2.4.0

2004-09-25  Benoît Dejean  <tazforever@dlfp.org>

	* glibtop.h: Added missing include <glibtop/close.h>.

2004-09-22  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: CFLAGS: Removed -W, added -Winline.

2004-09-14  Gora Mohanty  <gmohanty@cvs.gnome.org>
                                                                                
        * configure.in: Added 'or' to ALL_LINGUAS.
 
2004-09-13  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: bumped to 2.8.1.
	
	* sysdeps/common/fsusage.c:
	* sysdeps/common/gnuslib.c: (glibtop_make_connection),
	(connect_to_unix_server), (glibtop_internet_addr):
	* sysdeps/linux/glibtop_server.c: (get_pageshift):
	* sysdeps/linux/glibtop_server.h:
	* sysdeps/linux/open.c: (glibtop_open_s):
	* sysdeps/linux/ppp.c: (is_ISDN_on): Cleanups. Thanks to Kjartan Maraas.
	Closes #151557.

2004-09-13  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: 2.8.0

2004-08-30  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS: Released 2.7.92.

2004-08-28  Benoît Dejean  <tazforever@dlfp.org>

	* backends/server/command.c: (glibtop_call_i): Zeroed all args.	
	
	* configure.in: Bumped soname (thanks to seb128 and Dodji even if i've
	fully understand everything.	
	
	* include/glibtop/array.h:
	* include/glibtop/compat_10.h:
	* include/glibtop/glib-arrays.h:
	* include/glibtop/interfaces.h:
	* include/glibtop/proccwd.h:
	* lib/glib-arrays.c:
	* sysdeps/names/interfaces.c:
	* sysdeps/names/proccwd.c: Got rid of never-used / never-implemented files.

2004-08-28  Akagic Amila  <bono@linux.org.ba>

        * configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-22  Benoît Dejean  <tazforever@dlfp.org>

	* lib/command.c: (glibtop_call_l): Zeroed all args.

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-15  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: LibGTop 2.7.91.

2004-08-09  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: Added HAVE_IFADDRS_H
	* sysdeps/linux/netload.c: (glibtop_get_netload_s): Disable IPv6
	support is ifaddrs.h is not available.

	Closes #149376.

2004-08-09  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: Added -gnu89 to CFLAGS.

	* examples/Makefile.am: Fixed LDFLAGS.

	* sysdeps/common/fsusage.c: (glibtop_get_fsusage_s):
	* sysdeps/linux/fsusage.c: (linux_2_6_0):
	* sysdeps/linux/proctime.c: (glibtop_get_proc_time_s):
	* sysdeps/linux/sysinfo.c: (init_sysinfo): Fixed C89 issues.

	Closes #149375.

2004-08-03  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: LibGTop 2.7.90.

2004-07-20  Benoît Dejean  <tazforever@dlfp.org>

	* configure.in: LibGTop 2.7.5.

2004-07-20  Benoît Dejean  <tazforever@dlfp.org>

	* NEWS:
	* configure.in: Released LibGTop 2.7.4.

2004-07-18  Benoît Dejean  <tazforever@dlfp.org>

	* doc/reference.texi:
	* include/glibtop/command.h:
	* include/glibtop/glib-arrays.h:
	* include/glibtop/proclist.h:
	* lib/glib-arrays.c: (glibtop_get_proclist_as_array_l):
	* lib/lib.pl:
	* scripts/c_types.pl:
	* src/daemon/main.c: (handle_parent_connection):
	* src/daemon/slave.c: (handle_slave_connection):
	* support/mkstemp.c:
	* sysdeps/aix/proclist.c: (glibtop_get_proclist_s):
	* sysdeps/freebsd/cpu.c: (glibtop_get_cpu_p):
	* sysdeps/freebsd/prockernel.c: (glibtop_get_proc_kernel_p):
	* sysdeps/freebsd/proclist.c: (glibtop_get_proclist_p):
	* sysdeps/freebsd/procmem.c: (glibtop_get_proc_mem_p):
	* sysdeps/kernel/proclist.c: (glibtop_get_proclist_s):
	* sysdeps/linux/proclist.c: (glibtop_get_proclist_s):
	* sysdeps/osf1/proclist.c: (glibtop_get_proclist_p):
	* sysdeps/solaris/proclist.c: (glibtop_get_proclist_s):
	* sysdeps/stub/proclist.c: (glibtop_get_proclist_s):
	* sysdeps/stub_suid/proclist.c: (glibtop_get_proclist_p):
	* sysdeps/sun4/proclist.c: (glibtop_get_proclist_p): Glibify a bit more.
	Closes #147618.

2004-07-17  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/fsusage.h: Added read, write. This members provides
	total read and write in bytes since boot_time.
	
	* include/glibtop/netload.h: Added hwaddress : provides harware address,
	eg MAC address. mtu, address and subnet are now guint32.

2004-07-15  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/procstate.h: Added GLIBTOP_PROCESS_DEAD constant.

2004-07-07  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/procargs.h: Added new glibtop_get_proc_argv*() functions.
	These are more easier to use than glibtop_get_proc_args*(). They return
	a NULL-terminated array of string (like main's char* argv[]).

2004-07-07  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/netinfo.h:
	* structures.def:
	* sysdeps/names/netinfo.c: Removed netinfo.[ch] that were never used.

2004-07-03  Benoît Dejean  <tazforever@dlfp.org>

	* sysdeps/names/fsusage.c: Added missing fsusage names.

2004-07-03  Benoît Dejean  <tazforever@dlfp.org>

	* glibtop.h: Moved foward declaration of glibtop to break circular
	#includes dependencies.

2004-06-18  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/error.h: Also tries C99 __VA_ARGS__ before using
	functions.

	* include/glibtop/error.h: Moved 8 static error functions to
	sysdeps/common/error.c. This is the end of an big useless code
	bloat : expect ~8KB of object size reduction.

	* include/glibtop/procuid.h: s/int/gint32/g

	* lib/errors.c: (glibtop_error_quark):
	* lib/read.c: (do_read), (glibtop_read_l):
	* lib/read_data.c: (glibtop_read_data_l): Minor cleanups.

	* sysdeps/names/netload.c:
	* include/glibtop/netload.h: Added IPv6 feature : provides address,
	prefix and scope. This breaks the ABI. Not documented yet : check
	this file.

2004-06-13  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/sysinfo.h: Changed get_sysinfo prototype so that it
	returns a const pointer. Added missing macro.

2004-06-12  Benoît Dejean  <tazforever@dlfp.org>

	* include/glibtop/fsusage.h: block_size is now defined as a guint32
	instead of a fuzzy gint.

	* lib/sysdeps.c: (glibtop_get_sysdeps_r): Small cleanup.

	* lib/init.c: Added missing initializer.

2004-06-09  Benoît Dejean <TazForEver@dlfp.org>

	* *.{c,h} : whitespace clean up.

2004-06-07  Benoît Dejean  <tazforever@dlfp.org>

	* lib/parameter.c:
	* support/popt.c: (poptGetContext): Cleaned.

	* support/vsnprintf.c: s/strncpy/g_strlcpy

2004-05-28  Benoît Dejean <TazForEver@free.fr>

	* examples/*: Added missing #include.
	* ChangeLog: Converted to UTF-8.

2004-04-16  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: version 2.6.0

2004-04-07  Bastien Nocera  <hadess@hadess.net>

	* include/glibtop/fsusage.h: fix typo in the #defines for
	FSUSAGE_BLOCK_SIZE (patch by Benoît Dejean <TazForEver@free.fr>)

2004-03-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA (Canadian English) to ALL_LINGUAS.

2004-03-22  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-15  Bastien Nocera  <hadess@hadess.net>

	* include/glibtop/fsusage.h: set GLIBTOP_MAX_FSUSAGE properly,
	use gint in the headers instead of int (Closes: #125049)

2004-03-11  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Up versions etc.
	* po/am.po: Update foo.
	* po/ar.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/bn.po:
	* po/ca.po:
	* po/cs.po:
	* po/cy.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/es.po:
	* po/et.po:
	* po/fa.po:
	* po/fi.po:
	* po/fr.po:
	* po/ga.po:
	* po/gl.po:
	* po/he.po:
	* po/hi.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/ko.po:
	* po/lt.po:
	* po/lv.po:
	* po/mk.po:
	* po/ml.po:
	* po/mn.po:
	* po/ms.po:
	* po/nl.po:
	* po/nn.po:
	* po/no.po:
	* po/pl.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sr@Latn.po:
	* po/sv.po:
	* po/ta.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:

2004-03-11  Bastien Nocera  <hadess@hadess.net>

	* NEWS: update the NEWS file for the release

2004-03-11  Bastien Nocera  <hadess@hadess.net>

	* include/Makefile.am: fix distchecking

2003-12-27  Ole Laursen  <olau@hardworking.dk>

	* include/glibtop/fsusage.h: Added block_size field. (Closes: #125049)

2004-03-05  Bastien Nocera  <hadess@hadess.net>

	* include/glibtop/procmap.h: patch by Benoît Dejean <bnet@ifrance.com>
	to break the API, I mean, to make it easier to generate Python bindings
	(Closes: #129701)

2004-03-04  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* include/libgtop-i18n.h:
	* lib/lib.pl:
	* lib/read.c:
	* lib/read_data.c:
	* lib/write.c:
	* sysdeps/names/cpu.c:
	* sysdeps/names/fsusage.c:
	* sysdeps/names/loadavg.c:
	* sysdeps/names/mem.c:
	* sysdeps/names/mountlist.c:
	* sysdeps/names/msg_limits.c:
	* sysdeps/names/netload.c:
	* sysdeps/names/ppp.c:
	* sysdeps/names/procargs.c:
	* sysdeps/names/prockernel.c:
	* sysdeps/names/proclist.c:
	* sysdeps/names/procmap.c:
	* sysdeps/names/procmem.c:
	* sysdeps/names/procsegment.c:
	* sysdeps/names/procsignal.c:
	* sysdeps/names/procstate.c:
	* sysdeps/names/proctime.c:
	* sysdeps/names/procuid.c:
	* sysdeps/names/sem_limits.c:
	* sysdeps/names/shm_limits.c:
	* sysdeps/names/swap.c:
	* sysdeps/names/sysdeps.c:
	* sysdeps/names/uptime.c: remove dependency on libgnome,
	check for linux/isdn.h for distros using the 2.6 kernel headers

2004-02-07  Kevin Vandersloot

	* configure.in: release 2.5.1

2004-02-02  Sebastien Bacher  <seb128@debian.org>

	* sysdeps/linux/mem.c: (glibtop_get_mem_s): patch from
	BenoÃ®t Dejean <bnet@ifrance.com> to fix libtop_mem.used
	and glibtop_mem.shared values (Closes: #129863).

Wed Jan  7 02:23:28 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgtop-2.0.pc.in: Should be -lgtop-2.0, #130506

2004-01-05  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libgtop.spec.in: License is GPL, not LGPL.

2004-01-05  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgtop-2.0.pc.in: Include -lgtop in the linking flags.
	Bug #130506.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* acinclude.m4:
	* configure.in: remove linking to libgtop and checks for 64-bit
	integer bytes (fixes warning on build on glib 2.0 systems)

2003-11-02  ÄÅygimantas BeruÃÂka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS.

2003-10-21  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in:
	* src/inodedb/.cvsignore:
	* sysdeps/names/Makefile.am:
	install only one library, libgtop-2.0
	Fix build-time warnings due to the redefinition of guint64

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* lib/read.c: (glibtop_read_l):
	* lib/read_data.c: (glibtop_read_data_l):
	* lib/write.c: (glibtop_write_l): apply patch for ngettext support
	by Christian Neumair <chris@gnome-de.org>

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* include/glibtop/cpu.h:
	* include/glibtop/procstate.h:
	* include/glibtop/procuid.h:
	* include/glibtop/uptime.h:
	* lib/sysdeps.c:
	* sysdeps/names/cpu.c:
	* sysdeps/names/procstate.c:
	* sysdeps/names/procuid.c:
	* sysdeps/names/uptime.c: Apply patch by the_h1ghlander@yahoo.com and
	Cory Omand <cory.omand@Sun.com> for Solaris support

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* src/inodedb/Makefile.am: link to libgtop_suid_common-2.0.la
	(Closes: #107990)

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* acconfig.h:
	* acinclude.m4:
	* include/glibtop/array.h:
	* include/glibtop/command.h:
	* include/glibtop/cpu.h:
	* include/glibtop/fsusage.h:
	* include/glibtop/glibtop-backend-info.h:
	* include/glibtop/glibtop-backend.h:
	* include/glibtop/glibtop-client.h:
	* include/glibtop/inodedb.h:
	* include/glibtop/interfaces.h:
	* include/glibtop/limits.h:
	* include/glibtop/loadavg.h:
	* include/glibtop/mem.h:
	* include/glibtop/mountlist.h:
	* include/glibtop/msg_limits.h:
	* include/glibtop/netinfo.h:
	* include/glibtop/netload.h:
	* include/glibtop/ppp.h:
	* include/glibtop/procargs.h:
	* include/glibtop/proccwd.h:
	* include/glibtop/prockernel.h:
	* include/glibtop/proclist.h:
	* include/glibtop/procmap.h:
	* include/glibtop/procmem.h:
	* include/glibtop/procsegment.h:
	* include/glibtop/procsignal.h:
	* include/glibtop/procstate.h:
	* include/glibtop/proctime.h:
	* include/glibtop/procuid.h:
	* include/glibtop/sem_limits.h:
	* include/glibtop/shm_limits.h:
	* include/glibtop/swap.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/sysinfo.h:
	* include/glibtop/uptime.h:
	* lib/glibtop-backend.c: (glibtop_backend_get):
	* lib/glibtop-client.c: (glibtop_client_open_backend):
	* lib/inodedb.c: (glibtop_inodedb_lookup_s):
	* lib/lib.pl:
	* src/inodedb/README.inodedb:
	* src/inodedb/mkinodedb2.c: (main): s/u_int64_t/guint64/

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: fix distchecking, release 2.5.0

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* configure.in: fix the library versioning to be hand-made rather
	than uber-calculated from some esoteric numbers

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* glibtop.h:
	* include/glibtop/close.h:
	* include/glibtop/command.h:
	* include/glibtop/cpu.h:
	* include/glibtop/error.h:
	* include/glibtop/fsusage.h:
	* include/glibtop/global.h:
	* include/glibtop/inodedb.h:
	* include/glibtop/loadavg.h:
	* include/glibtop/mem.h:
	* include/glibtop/mountlist.h:
	* include/glibtop/msg_limits.h:
	* include/glibtop/netload.h:
	* include/glibtop/open.h:
	* include/glibtop/parameter.h:
	* include/glibtop/ppp.h:
	* include/glibtop/procargs.h:
	* include/glibtop/prockernel.h:
	* include/glibtop/proclist.h:
	* include/glibtop/procmap.h:
	* include/glibtop/procmem.h:
	* include/glibtop/procsegment.h:
	* include/glibtop/procsignal.h:
	* include/glibtop/procstate.h:
	* include/glibtop/proctime.h:
	* include/glibtop/procuid.h:
	* include/glibtop/read.h:
	* include/glibtop/read_data.h:
	* include/glibtop/sem_limits.h:
	* include/glibtop/shm_limits.h:
	* include/glibtop/signal.h:
	* include/glibtop/swap.h:
	* include/glibtop/sysdeps.h:
	* include/glibtop/sysinfo.h:
	* include/glibtop/types.h:
	* include/glibtop/union.h:
	* include/glibtop/uptime.h:
	* include/glibtop/version.h:
	* include/glibtop/write.h:
	* lib/Makefile.am:
	* lib/command.c: (glibtop_call_l):
	* lib/init.c:
	* lib/inodedb.c:
	* lib/lib.pl:
	* lib/open.c:
	* lib/read.c:
	* lib/read_data.c: (glibtop_read_data_l):
	* lib/structures.pl:
	* lib/write.c:
	* sysdeps/names/cpu.c:
	* sysdeps/names/fsusage.c:
	* sysdeps/names/loadavg.c:
	* sysdeps/names/mem.c:
	* sysdeps/names/mountlist.c:
	* sysdeps/names/msg_limits.c:
	* sysdeps/names/netinfo.c:
	* sysdeps/names/netload.c:
	* sysdeps/names/ppp.c:
	* sysdeps/names/procargs.c:
	* sysdeps/names/proccwd.c:
	* sysdeps/names/prockernel.c:
	* sysdeps/names/proclist.c:
	* sysdeps/names/procmap.c:
	* sysdeps/names/procmem.c:
	* sysdeps/names/procsegment.c:
	* sysdeps/names/procsignal.c:
	* sysdeps/names/procstate.c:
	* sysdeps/names/proctime.c:
	* sysdeps/names/procuid.c:
	* sysdeps/names/sem_limits.c:
	* sysdeps/names/shm_limits.c:
	* sysdeps/names/swap.c:
	* sysdeps/names/sysdeps.c:
	* sysdeps/names/uptime.c: fixed compilation

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* RELNOTES-0.25: removed
	* RELNOTES-1.0: removed
	* RELNOTES-1.0.x: removed
	* RELNOTES-1.1.x: removed
	* include/glibtop/Makefile.am:
	* include/glibtop/xmalloc.h: removed xmalloc.h
	* lib/command.c: (glibtop_call_l):
	* lib/init.c: (_init_server):
	* lib/inodedb.c: (glibtop_inodedb_open_s),
	(glibtop_inodedb_close_s):
	* lib/read_data.c: (glibtop_read_data_l):
	* lib/xmalloc.c: removed xmalloc.h
	replace all the xmalloc crap by glib memory management functions

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* lib/Makefile.am:
	* libgtop-config.in:
	* libgtop.spec.in:
	* libgtopConf.sh.in:
	* src/inodedb/Makefile.am: removed traces of guile, intllibs and
	libgnomesupport

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: updated
	* configure.in: removed all traces of guile stuff
	* sysdeps/guile/.cvsignore: removed

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* sysdeps/Makefile.am:
	* sysdeps/guile/ChangeLog:
	* sysdeps/guile/Makefile.am:
	* sysdeps/guile/guile.pl:
	* sysdeps/guile/names/.cvsignore:
	* sysdeps/guile/names/Makefile.am:
	* sysdeps/guile/names/guile-names.pl: removed guile

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in: remove guile and libgnome-support stuff

2003-10-20  Bastien Nocera  <hadess@hadess.net>

	* configure.in: make it compile

2003-10-19  Carlos PerellÄÅ MarÄÂ­n <carlos@gnome.org>

	* support/*: Reverted libgtop changes. It's a common module
	and I should not modify it.
	* Added/removed files. Now the move should be done.

2003-10-19  Carlos PerellÄÅ MarÄÂ­n <carlos@gnome.org>

	* libgtop-GNOME-2-0-branch moved to HEAD.

2003-09-30  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2003-09-17  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2003-09-13  Carlos PerellÄÅ MarÄÂ­n <carlos@gnome.org>

	* configure.in (ALL_LINGUAS):  Removed es_ES.

2003-09-08  Kevin Vandersloot

	* configure.in: release 2.0.5

2003-09-06  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-08-24  Kevin Vandersloot

	* configure.in: release 2.0.4

2003-08-13  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" (Hindi) in ALL_LINGUAS.

2003-08-13  Andrew Sobala  <aes@gnome.org>

	* configure.in: release 2.0.3

2003-08-09  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2003-08-03  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* Makefile.am: Change subdirectory build order so that
	'distclean' target work (and other targets remain working).
	Fixes bug #84622.

2003-06-10  Kjartan Maraas  <set EMAIL_ADDRESS environment variable>

	* libgtop-2.0.pc.in: Fix missing build flags. Patch from
	Julio Merino. Fixes bug #103086.
	* sysdeps/linux/mem.c: (glibtop_get_mem_s): Fix memory calculation
	under Linux. Patch from <rwahl@gmx.de>. Fixes bug #68626.

2003-06-10  Kjartan Maraas  <kmaraas@gnome.org>

	* sysdeps/freebsd/glibtop_machine.h:
	* sysdeps/kernel/glibtop_private.h:
	* sysdeps/solaris/glibtop_machine.h:
	* sysdeps/solaris/glibtop_private.h: Comment out text after
	#endif to make some compilers happy.

2003-05-11  Andrew Sobala  <aes@gnome.org>

	* configure.in: release 2.0.2

2003-05-10  Danilo ÄÂ egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-04-17  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "mk" to ALL_LINGUAS.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-10  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-03-08  Gil "Dolfin" Osher <dolfin@rpg.org.il>

	* configure.in: Added he to ALL_LINGUAS.

2003-02-25  T?Ãâivo Leedj?Ãâ¬rv  <toivo@linux.ee>

	* configure.in: Added et to ALL_LINGUAS.

2003-02-16  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-01-31  James Henstridge  <james@daa.com.au>

	* acinclude.m4 (GNOME_SUPPORT_CHECKS): use AC_LIBOBJ() to set
	LIBOBJS variable, since newer autoconf's barf on direct access.
	This also takes care of setting LTLIBOBJS for us.

2003-01-29  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added ar to ALL_LINGUAS

2003-01-25  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-01-23  Marius Andreiana <marius galuna.ro>

	* configure.in: Added "ro" to ALL_LINGUAS

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-16  Daniel Yacob <locales@geez.org>

	* configure.in: added am to ALL_LINGUAS

2003-01-12  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.0.1

2002-12-30  Bastien Nocera <hadess@hadess.net>

	* Added sysdeps/aix directory that was missing

2002-10-08  Laurent Vivier <Laurent.Vivier@bull.net>

	* Framework for AIX support

2002-08-07  Vincent Berger <Vincent.Berger@ext.bull.net>

	* support/: Add alloca management for AIX
	* configure.in: correct checking for nm

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-09-26  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2002-09-26  jacob berkman  <jacob@ximian.com>

	* configure.in (ALL_LINGUAS): remove cs until the file actually
	gets added

2002-09-26  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added cs to ALL_LINGUAS.

2002-08-20  Peteris Krisjanis <peteris.krisjanis@os.lv>

	* configure.in: (ALL_LINGUAS) Added Latvian (lv).

2002-06-25  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-05-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.0.0

2002-05-28  Carlos Perello Marin <carlos@gnome-db.org>

	* configure.in (ALL_LINGUAS): Removed all es_* and added only es_ES.

2002-05-08  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-03-12  James Henstridge  <james@daa.com.au>

	* acinclude.m4 (LIBGTOP_HEACKER_TESTS): AM_CONDITIONAL()
	statements can't be conditionally executed (automake compat fix).
	(GNOME_LIBGTOP_SYSDEPS): move the conditional here so that it is
	always executed.

2002-02-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump version

	* release 1.90.2

2002-02-09  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: remove need for dc, and clean up
	* stamp-h.in, .cvsignore: remove

2002-02-05  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_CN.GB2312 -> zh_CN

2001-01-14  Hasbullah bin Pit <sebol@ikhlas.com>

	* configure.in: Added ms in ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.
	* po/.cvsignore: Added 'libgtop-2.0.pot'.

2001-01-14  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Sync'ed ALL_LINGUAS with files in po directory,
	and renamed GETTEXT_PACKAGE to avoid conflict with libgtop 1.0.x.

2002-01-10  Kevin Vandersloot <kfv101@psu.edu>

	* acininclude.m4: add back the support stuf but make it really
	work

	* configure.in: bump version number, add back GNOME_SUPPORT
	check since that was causing a build failure

	* release 1.90.1

2002-01-09  Kevin Vandersloot <kfv101@psu.edu>

	* acinclude.m4: remove gnome support check. Fixes the build
	for those with automake < 1.4p5.

	* configure.in: remove check for GNOME_SUPPORT

2001-14-27  Miles Lane <miles@megapathdsl.net>

	* acconfig.h:  Added "#undef HAVE_GETTEXT" entry.
	* LIBGTOP_VERSION:  Removed file.
	* configure.in:  added glib-gettextize support and
	  moved in the *VERSION* stuff from LIBGTOP_VERSION.

2001-11-27  Kevin Vandersloot <kfv101@psu.edu>

	* acinclude.m4: copy some of the macros that were formerly
	in gnome-macros

	* configure.in, sysdeps/Makefile.am: comment out guile
	support for now.

	* release 1.90.0

2001-11-26  Kevin Vandersloot <kfv101@psu.edu>

	* src/daemon/gnuserv.c:  Apply patch fixing security issue from
        intexxia labs - #1048-261101

2001-11-26  Abel Cheung <maddog@linux.org.hk>

	* src/inodedb/file_by_inode.c: Rename to file_by_inode2.c
	* src/inodedb/mkinodedb.c: Rename to mkinodedb2.c

	* po/POTFILES.in: Reflect above change

	* */.cvsignore: Add various files

2001-11-25  Kevin Vandersloot <kfv101@psu.edu>

	* port stable libgtop to GNOME 2.0. Too much to detail.
	pkgconfig is now used. Libs are named libgtop-2.0 etc for
	parallel install.

2001-10-17  Abel Chueng  <maddog@linux.org.hk>

	* configure.in, Makefile.am, include/glibtop/Makefile.am: headers
	moved to $(includedir)/libgtop-1.0/glibtop.

2001-09-16  Abel Chueng  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2001-02-13  Martin Baulig  <baulig@suse.de>

	Released LibGTop 1.0.12 "Gerolzhofen".

	* NEWS: Added news entry to 1.0.12.

	* LIBGTOP-VERSION: Set version number to 1.0.12, binary age 11,
	interface age 11.

2001-02-19  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added "el" to ALL_LINGUAS.

2001-02-15  Martin Baulig  <baulig@suse.de>

	Released LibGTop 1.0.11 "Jasmin".

	* NEWS: Added news entry for 1.0.11.

2001-02-14  Martin Baulig  <baulig@suse.de>

	Merged from LIBGTOP_1_1_2_PATCHES.

	* libgtop-sysdeps.m4 (GLIBTOP_SOLARIS_RELEASE): Define this on Solaris;
	we use version codes like 270 for SunOS 5.7 and 251 for SunOS 2.5.1.

	* LIBGTOP-VERSION (LIBGTOP_VERSION_SUFFIX): Added this so you can
	have your tarballs called `libgtop-1.x.y-snap.tar.gz' or whatever.
	This only affects the `VERSION' variable and thus how the resulting
	tarball will be called, but not `LIBGTOP_VERSION_CODE' etc.

	* configure.in, acconfig.h: Added checks for <procfs.h>
	and <sys/procfs.h>

	* configure.in (DL_LIB): Check for dlopen() and AC_SUBST this.

	* Makefile.am: Make `aclocal.m4' also depend on `LIBGTOP-VERSION'
	when in maintainer-mode.

2001-02-14  Martin Baulig  <baulig@suse.de>

	* include/glibtop/limits.h: Removed; this file doesn't exist
	in the stable branch.

2001-02-13  Martin Baulig  <baulig@suse.de>

	* LIBGTOP-VERSION: Set version number to 1.0.11, binary age 10,
	interface age 10.

2001-02-13  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added sk to ALL_LINGUAS

2001-02-08  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in (ALL_LINGUAS): Added pt_BR to ALL_LINGUAS.

2000-11-21  Martin Baulig  <baulig@suse.de>

	* libgtop-config.h.in: Added `--cflags', `--libs' and `--extra-libs'
	parameters.

2000-11-20  Martin Baulig  <baulig@suse.de>

	Released LibGTop 1.0.10 "November Rain".

	* LIBGTOP-VERSION: Set version number to 1.0.10, binary age 9,
	interface age 9.

2000-05-25  Martin Baulig  <baulig@suse.de>

	Released LibGTop 1.0.9 "Stuttgart".

	* LIBGTOP-VERSION: Set version number to 1.0.9 binary age 8,
	interface age 8.

	(LibGTop 1.0.8 "Frankfurt" was not publically released.)

2000-02-20  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.8 binary age 7,
	interface age 7.

2000-02-15  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.7 "Copenhagen".

1999-10-19  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.7 binary age 6,
	interface age 6.

1999-10-18  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.6 "October LibGTop".

1999-10-18  Martin Baulig  <martin@home-of-linux.org>

	* NEWS.old: Removed obsolete file.

	* RELNOTES-1.0.x: Added release notes for LibGTop 1.0.6.

	* TODO: Removed obsolete file.

	* NEWS: We start maintaining a NEWS file now :)

1999-10-16  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.6 binary age 5,
	interface age 5.

1999-10-09  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in (ALL_LINGUAS): Added Galician (gl)

1999-09-29  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.5.

1999-09-29  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (libgtop_top_builddir): AC_SUBST this.

1999-09-24  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.5 binary age 4,
	interface age 4.

1999-09-24  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.4.

1999-09-22  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added "da" to ALL_LINGUAS.

1999-09-19  Martin Baulig  <martin@home-of-linux.org>

	* libgtopConf.sh.in: Added MODULE_VERSION on Miguel's
	request (set it to "libgtop-@LIBGTOP_VERSION@").

1999-09-18  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in, po/*.po: merged *.po files from HEAD CVS

1999-09-17  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Make it work if we have GNOME and the user
	gave use --without-gnome (fixes bug #1735).

1999-09-17  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.4 binary age 3,
	interface age 3.

1999-09-16  Martin Baulig  <martin@home-of-linux.org>

	Merged everything since May 31 from HEAD and released
 	LibGTop 1.0.3.

1999-07-29  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/error.h: Use G_GNUC_UNUSED.

	* configure.in (ENABLE_STATIC, ENABLE_SHARED): New automake
	conditionals.

1999-07-11  Tomas Ogren  <stric@ing.umu.se>

	* configure.in: Added sv to ALL_LINGUAS

1999-07-11  Tomas Ogren  <stric@ing.umu.se>

	* sysdeps/names/procmem.c: Fixed a tyop

1999-05-31  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 1.0.3 binary age 2,
	interface age 2.

1999-05-31  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.2.

1999-05-26  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (INCLUDES): Define `LIBGTOP_VERSION_CODE' here so we
	can use version conditionals in the sysdeps code.

1999-05-25  Martin Baulig  <martin@home-of-linux.org>

	* libgtop-sysdeps.m4: Make the I4B check work for NetBSD.

1999-05-16  Martin Baulig  <martin@home-of-linux.org>

	* doc: Merged the LibGTop Manual from the HEAD.

1999-03-01  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.1.

	* LIBGTOP-VERSION: Set version number to 1.0.1 binary age 0,
	interface age 0.

1999-03-01  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (LIBGTOP_LIBS): Move `-lgtop_common' last to
	make it work with static-only libs. Thanks to Roderik Muit
	for pointing this out.
	(PERL): First check for `perl5', then for `perl'. Thanks again
	to Roderik Muit.

1999-02-24  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 1.0.0.

	* LIBGTOP-VERSION: Set version number to 1.0.0 binary age 0,
	interface age 0.

	* configure.in: Require GLIB >= 1.2.0.

1999-02-23  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.100.0.

	Make the copyright of LibGTop be the GNU General Public License.

	* LIBGTOP-VERSION: Set version number to 0.100.0 binary age 0,
	interface age 0.

	* copyright.txt: Set the year to 1998-99 and pretty-format it a
	little bit. Same in all C source and header files.

1999-02-21  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (LIBGTOP_*_INCS): Define `HAVE_GLIBTOP_MACHINE_H'
	if appropriate.

1999-02-19  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.99.9.

	* LIBGTOP-VERSION: Set version number to 0.99.9 binary age 0,
	interface age 0.

	* include/glibtop/error.h: Don't include <glib.h>.
	* sysdeps/common/error.c: Use `int' not `gint'.

	* misc/porting-libgtop.txt: Added a few instructions on how
	to port LibGTop to Solaris.

	* Replace all __BEGIN_DELCS with LIBGTOP_BEGIN_DECLS and all
	__END_DECLS with LIBGTOP_END_DECLS; remove all __P macros and
	use real function prototypes.

1999-02-18  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/*.h: Use glib-like function prototypes
	instead of "extern <function> __P((args))".

	* sysdeps/common/error.h: Replaced inline with static.

1999-02-18  Martin Baulig  <martin@home-of-linux.org>

	* */*.awk: Replaced all awk scripts with perl scripts since it is
	more likely that people have a working perl interpreter than GNU
	awk on their system.

1999-02-18  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/common/error.c (glibtop_error_r, glibtop_warn_r): Define
	them as G_INLINE_FUNC in <glibtop/errno.h> if possible.
	(glibtop_error_io_r, glibtop_warn_io_r): Likewise.
	(glibtop_error_vr, glibtop_warn_vr): New functions taking a va_list.
	(glibtop_error_io_vr, glibtop_warn_io_vr): New functions taking an
	errno an a va_list.

1999-02-17  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.99.8.

1999-02-16  Martin Baulig  <martin@home-of-linux.org>

	* examples/Makefile.am, lib/Makefile.am, src/daemon/Makefile.am,
	  sysdeps/common/Makefile.am, sysdeps/guile/Makefile.am,
	  sysdeps/guile/names/Makefile.am, sysdeps/kernel/Makefile.am,
	  sysdeps/linux/Makefile.am, sysdeps/names/Makefile.am,
	  sysdeps/osf1/Makefile.am, sysdeps/stub/Makefile.am,
	  sysdeps/stub_suid/Makefile.am, sysdeps/sun4/Makefile.am:
	Initialize INCLUDES to `@INCLUDES@' to make it clear that it is
	set in configure.in. It is ok to add things there, but you must
	not remove the `@INCLUDES@'.

1999-02-15  Jeff Garzik  <jgarzik@pobox.com>

	* examples/Makefile.am, lib/Makefile.am, src/daemon/Makefile.am,
	  sysdeps/common/Makefile.am, sysdeps/guile/Makefile.am,
	  sysdeps/guile/names/Makefile.am, sysdeps/kernel/Makefile.am,
	  sysdeps/linux/Makefile.am, sysdeps/names/Makefile.am,
	  sysdeps/osf1/Makefile.am, sysdeps/stub/Makefile.am,
	  sysdeps/stub_suid/Makefile.am, sysdeps/sun4/Makefile.am:
	Removed hardcoded gcc arguments from CFLAGS.

	* include/glibtop/error.h:
	Added FIXME comment about varargs macros breaking Sun cc
	compilation.

1999-02-12  Martin Baulig  <martin@home-of-linux.org>

	Thanks to Frederic Devernay for pointing out that we need to define
	__BEGIN_DECLS and __END_DECLS when not using GNOME.

	* configure.in: Define `WITHOUT_GNOME' if appropriate.

	* include/glibtop/global.h: Define __BEGIN_DECLS and __END_DECLS
	when WITHOUT_GNOME not when _IN_LIBGTOP.

1999-02-12  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/global.h: Applied patch from Frederic Devernay;
	__BEGIN_DECLS and __END_DECLS are only defined inside _IN_LIBGTOP.

1999-02-10  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (program_invocation_name): Check whether we need
 	to declare this; some libc5 systems define that symbol but do
	not declare it in any header file.

1999-02-10  Martin Baulig  <martin@home-of-linux.org>

	* libgtop.spec.in, libgtop.spec: Replaced libgtop.spec with
	with libgtop.spec.in, so libgtop.spec is now a generated file.

1999-02-05  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/global.h: Enclose some of the stuff in this
	file in `#ifdef _IN_LIBGTOP'.

1999-02-04  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/global.h (_): Use dgettext (), not gettext ().

1999-01-23  Martin Baulig  <martin@home-of-linux.org>

	* libgtopConf.sh.in (LIBGTOP_DATADIR): New variable.

1999-01-06  Martin Baulig  <martin@home-of-linux.org>

	* libgtop-sysdeps.m4: Always enable SMP support for Linux.

1999-01-03  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.99.2.

1999-01-05  Martin Baulig  <martin@home-of-linux.org>

	* libgtop.spec: Always build SMP support; binary packages should
	contain all possible features.

	* configure.in: LibGTop will now require GLIB >= 1.1.12.

1999-01-05  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Make it abort if the `dc' utility is not installed.

1999-01-03  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.99.1.

1998-12-25  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (LIBGTOP_INCS): Define `HAVE_LIBGTOP_SMP' if SMP
	support was enabled.

1998-12-22  Yukihiro Nakai  <Nakai@TokyoNet.AD.JP>

	* configure.in (ALL_LINGUAS): Added `ja'.

1998-12-18  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am: Applied patch from Edward Jason Riedy to use '#'
	as separator in sed commands.

1998-12-15  Martin Baulig  <martin@home-of-linux.org>

	Released LibGTop 0.99.0 which is a feature-freezed version
	for GNOME 1.0.

1998-12-09  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: We need to define LIBSUPPORT and SUPPORTINCS under
	all circumstances as it is in gnome-libs.

	* include/glibtop/procargs.h (glibtop_get_proc_args): Make the
	return value a `char *' instead of a `const char *'.

1998-12-09  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 0.29.1.

1998-12-09  Martin Baulig  <martin@home-of-linux.org>

	* libgtop-sysdeps.m4: Moved here from the macros directory,
	formerly known as `macros/gnome-libgtop-sysdeps.m4'.
	(--enable-hacker-mode): New command line parameter to configure,
	enables building of unstable sysdeps directories.
	(LIBGTOP_HACKER_TESTS): New macro to check for unsafe things when
	hacker mode was enabled.

1998-12-06  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Make it abort if GNOME cannot be found and
	the --without-gnome parameter was not given.

1998-12-03  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION (LIBGTOP_VERSION_CODE): Pipe the expression
	through `dc' so we get a real number.

1998-12-03  Martin Baulig  <martin@home-of-linux.org>

	LibGTop now requires gettext >= 0.10.35.

	* intl: Removed &intl CVS alias.

1998-11-27  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 0.29.0.

	* TODO: Add things that need to be done before Dec 15.

	This is basically a feature freeze for the C language part
	of LibGTop except for things that are marked with (***) in
	the TODO.

1998-11-20  Martin Baulig  <baulig@merkur.uni-trier.de>

	* sysdeps/common/mountlist.c: Applied a patch from Kenneth Stailey to
	make it work on OpenBSD.

1998-11-18  Martin Baulig  <martin@home-of-linux.org>

	* lib/open.c (glibtop_open_l): We need to set argv[0] in call
	to execl () to avoid a core dump in _init () on FreeBSD 3.0.

1998-11-11  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/gnuserv.h (MCOOKIE_SCREEN): Don't define this
	any longer, we now use the port the daemon is listening on instead
	of a fixed screen.

1998-11-11  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (--enable-debug): Define LIBGTOP_ENABLE_DEBUG
	if this parameter is given.
	(--enable-fatal-warnings): New parameter to make all warnings
	fatal; define `LIBGTOP_FATAL_WARNINGS' if given.

	* sysdeps/common/error.c (glibtop_error_r): Use abort () instead
	of exit () if LIBGTOP_ENABLE_DEBUG.
	(glibtop_error_io_r): Likewise.
	(glibtop_warn_r): Call abort () if LIBGTOP_FATAL_WARNINGS.
	(glibtop_warn_io_r): Likewise.

	[NOTE: To get a core dump of the libgtop_server, you need to
	remove all suid/sgid bits and invoke it as a priviledged user.]

1998-11-08  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (support): Don't build if not BUILD_GNOME_SUPPORT.

1998-11-02  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/parameter.h: Added `GLIBTOP_PARAM_REQUIRED'.

	* lib/parameter.c (glibtop_set_parameter_l): It's no longer
	allowed to set GLIBTOP_PARAM_FEATURES.
	(glibtop_get_parameter_l): You can use `GLIBTOP_PARAM_REQUIRED'
	to read server->required and ...
	(glibtop_set_parameter_l): ... set it here.

1998-10-26  Martin Baulig  <martin@home-of-linux.org>

	Added `Network Load' feature (netload).

	* include/glibtop/netload.h: New file.
	* features.def: Added new feature `netload'.

1998-10-26  Martin Baulig  <martin@home-of-linux.org>

	Added `Command Line Parameters' feature (proc_args).

	* include/glibtop/proc_args.h: New file.
	* features.def: Added new feature `proc_args'.

	* lib/lib.awk: New type `unsigned' for the features.def which
	is `unsigned'.

1998-10-25  Martin Baulig  <martin@home-of-linux.org>

	Added PPP/ISDN support.

	* include/glibtop/ppp.h: New file.
	* features.def: Added new feature `ppp'.

	* acconfig.h (HAVE_I4B): Defined if we have the I4B package.
	(HAVE_I4B_ACCT): Defined if we have ISDN statistics with I4B.

	* misc: New directory.
	* misc/i4b_acct.txt: Read this file to get ISDN statistics on BSD.

	* lib/lib.awk: New type `ushort' for the features.def which is
	`unsigned short'.

1998-10-20  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/proc_signal.h: Use a 2-element-array of
	type `guint64' for all signal masks instead of just
	scalar numbers. This avoids problems on systems with more
	than 64 signals.

	If there is any operating system out there with even more than
	128 signals, we can simply increase the number of array elements
	here.

	[NOTE for people porting libgtop:

 	 Please use all 64 bits of the `guint64' and not just 32 - the
	 signal number (as it is used in calls to kill () ...) should be
	 a bit-index into this field; if a process ignores for instance
	 signal 64, it has the 0-bit of sigcatch[1] set, if it ignores 63,
	 this is the 63-bit of sigcatch[0] and so on ...

	 The mapping between signal numbers and their names is done via the
	 glibtop_sys_siglist [] field which should be declared in
	 sysdeps/@sysdeps_dir@/siglist.c - see linux for an example.
	]

	* features.def: It's now safe to put things like `loadavg[3]'
	here - the awk skripts should correctly threat this as an array.

1998-10-12  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (GNOME_COMPILE_WARNINGS): Let the user enable
	compiler warnings.
	(--with-libgtop-guile): Make the default to build the guile
	interface if guile can be found.

	* Makefile.am (confexec_DATA): Install `feature.def' as
	`libgtop-features.def'.
	* libgtop.spec: Added `%{prefix}/lib/*.def' to the file list.

1998-10-11  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Don't create `guile/Makefile'.
	* Makefile.am (DIST_SUBDIRS): Removed.
	(SUBDIRS): Removed `guile'.

	* include/glibtop/*.h: Removed external delarations of all
	`glibtop_guile_*' functions that were formerly defined in
	sysdeps/guile/guile.c and sysdeps/guile/names/guile-names.c.

1998-10-11  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/guile/ChangeLog: New file.

	* LIBGTOP-VERSION: Set version number to 0.26.3.
	* libgtop.spec: Likewise.

	* Makefile.am (confexec_DATA): Added `features.def'.
	* libgtop-config.in: Added `--features-def-file' parameter
	to get pathname of installed `features.def' file.

	* perl: Removed everything in this subdirectory. This was
	only experimental. The real perl bindings for LibGTop are
	in the libgtop-bindings module.

1998-10-11  Martin Baulig  <martin@home-of-linux.org>

	* src/inodedb/Makefile.am: Removed @libs_xauth@ and -lgdbm
	from the _LDADD variables since libtool automatically gets
	the dependencies.
	* src/daemon/Makefile.am: Likewise.
	* examples/Makefile.am: Likewise.

1998-10-10  Martin Baulig  <martin@home-of-linux.org>

	* configure (LIBGTOP_EXTRA_LIBS): Added `GLIB_LIBS'.

	* perl/ChangeLog: New file.

1998-10-07  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (ALL_LINGUAS): Added `de'.

1998-10-03  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/global.h: Only include system header files
	if we are `_IN_LIBGTOP'.
	(G_GNUC_NORETURN, G_GNUC_CONST, G_GNUC_UNUSED): Added those
	definitions if we are `_IN_LIBGTOP'.

1998-09-29  Sung-Hyun Nam  <namsh@lgic.co.kr>

	* configure.in (ALL_LINGUAS): add `ko'
	* po/ko.po: new file.

1998-09-27  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Make it really *require* GLIB >= 1.1.3.

1998-09-27  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in: Move check for `-lresolv', `-lsocket' and `-lnsl'
	after X11 checks.

1998-09-27  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Do not even check for guile if it is disabled.

1998-09-12  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/sysinfo.h: New file. This is used in guname to
	fetch as many information about the system as possible like detailed
	information about hardware etc.

	* configure.in (AM_PATH_GLIB): LibGTop now requires glib.

1998-09-09  Martin Baulig <baulig@Stud.Informatik.uni-trier.de>

	* include/glibtop/proctime.h (glibtop_proc_time): Added `xcpu_utime'
 	and `xcpu_stime'.

	* sysdeps/linux/ChangeLog: New file.

	* glibtop.h (glibtop): Added `ncpu'. This is zero for single processor
	systems and the number of CPUs otherwise.

	* include/glibtop/cpu.h (glibtop_cpu): Added `xcpu_total', `xcpu_user',
	`xcpu_nice', `xcpu_sys' and `xcpu_idle'.
	(GLIBTOP_NCPU): #define this to 4.

1998-09-08  Martin Baulig  <baulig@merkur.uni-trier.de>

	* configure.in: Make the default to disable guile.

1998-08-30  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION (LIBGTOP_VERSION_CODE): Added. This is a numerical
	constant ("1.234.567" -> 1234567) to be used in C preprocessor
	conditionals.

1998-08-29  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION (LIBGTOP_INTERFACE_AGE, LIBGTOP_BINARY_AGE): Added.
	* configure.in (LIBGTOP_INTERFACE_AGE, LIBGTOP_BINARY_AGE): AC_SUBST.
	(LT_RELEASE, LT_CURRENT, LT_REVISION, LT_AGE): AC_SUBST.
	(LT_VERSION_INFO): Sets `-version-info' for libtool.

	* */Makefile.am: We now use the correct `-version-info' parameter
	for libtool.

1998-08-25  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/command.h (glibtop_call): Third argument is
	now `const void *'.

	* include/glibtop/xmalloc.h (g_free): Now taking a
	`const void *'.

1998-08-25  Martin Baulig  <martin@home-of-linux.org>

	* src/daemon/ChangeLog: New file.

	* sysdeps/sun4/ChangeLog: New file.

	* sysdeps/stub/ChangeLog: New file.

	* configure.in: Added check for `-lsocket'.
	(LIBGTOP_INCS): Added $(SUPPORTINCS).
	(INCLUDES): Added $(SUPPORTINCS).

	* acconfig.h: Added `NEED_DECLARATION_GETHOSTNAME',
	`NEED_DECLARATION_SETREUID', `NEED_DECLARATION_SETREGID'
	and `NEED_DECLARATION_GETPAGESIZE'.

	* includue/glibtop/global.h (<gnomesupport.h>): Include this.

	* lib/init.c (_init_server): Declared `static'.

	* lib/read_data.c: Added cast to `const void *' in calls to
	`recv' and `read' to avoid compiler warnings.

	* configure.in (INCLUDES): No longer using installed header files.

1998-08-23  Martin Baulig  <martin@home-of-linux.org>

	* features.def (mountlist): Using `int(fs_usage)'.

1998-08-21  Martin Baulig  <martin@home-of-linux.org>

	* ANNOUNCE-0.25: Released LibGTop 0.25 stable.

1998-08-18  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Set version number to 0.25.0. There is now really
	a feature freeze until it's released, bug fixes only ...

	* include/glibtop/procmap (glibtop_map_entry): Added `flags' and
	`filename' fields.

	* LIBGTOP-VERSION: Added `LIBGTOP_MICRO_VERSION'.
	* libgtopConf.sh.in: Likewise.

	* libgtopConf.sh.in: Added `LIBGTOP_EXTRA_LIBS'.

	* sysdeps/linux/procmap.c: Added implementation.

1998-08-17  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/procmap (glibtop_map_entry): Added `offset' and
	`perm' fields.

	* src/inodedb: New directory.
	* src/inodedb/README: New file - read it to know what this is about.

	* configure.in (--with-libgtop-inodedb): New `configure' parameter.
	* include/glibtop/inodedb.h: New file.
	* sysdeps/common/inodedb.c: New file.

1998-08-17  Martin Baulig  <martin@home-of-linux.org>

	* LIBGTOP-VERSION: Released libgtop-0.25pre1. With this
	release I made what Linus calles a ``feature freeze'' until
	0.25 is out. A Tarball and RPMS can be found at my site:
	`ftp://ftp.home-of-linux.org/pub/'.

1998-08-17  Martin Baulig  <martin@home-of-linux.org>

	* libgtop-conf.in: New file.

1998-08-16  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/loadavg.h (glibtop_loadavg): Added new
	fields `nr_running', `nr_tasks', `last_pid'.
	* features.def (loadavg): Added new fields `nr_running',
	`nr_tasks', `last_pid'.

1998-08-12  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/procsegment.h (glibtop_proc_segment): Using
	`text_rss', `shlib_rss', `data_rss' and `dirty_size' instead of
	`tsr', `lrs', `drs' and `dt'. New field `stack_rss'.

	* sysdeps/linux/procmem.c: Memory sizes now correctly in bytes.
	* sysdeps/linux/procsegment.c: Dito.

	* sysdeps/kernel/procsegment.c: Stack pages are reported via
	`stack_rss' and no longer count towards `data_rss'
	* kernel/table.h (table_proc_segment): Added `srs' field.
	* kernel/table21/module.c (TBL_PROC_SEGMENT): Added kernel support
	for this.

	* sysdeps/{linux, kernel, stub}/procmap.c: New files.

1998-08-11  Martin Baulig  <martin@home-of-linux.org>

	* guile/features.awk: New file.
	* guile/make-docbook.scm: Improved automatical generation of
	the documentation file `reference.sgml'.
	* guile/reference.sgml: This file is automatically generated,
	but many people have problems with it, so we add it to CVS.

1998-08-10  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/procmap.h (glibtop_proc_map): New file.
	* features.def: Added definition of `proc_map'.

	* include/glibtop/proctime.h (glibtop_proc_time): Added new
	fields `rtime' and `frequency'.

1998-08-09  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/prockernel.h (glibtop_proc_kernel): Renamed
	`wchan' field to `nwchan'; added `wchan' which is of type `char [40]'.

	* features.def: Changed format of this file to support multiple
	arguments to be passed to a function.

	* include/glibtop/proclist.h: `glibtop_get_proclist' now takes two
	more arguments `method' and `param'.

1998-08-07  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/freebsd/ChangeLog: New file.

	* src/server: Removed.
	* src/daemon/{server, version}.c: New files.
	* src/daemon/Makefile.am: Added `libgtop_server'; this has been
	moved here from `src/server' since it shares some source code files
	with the `libgtop_daemon'.

	* LIBGTOP-VERSION: Added `LIBGTOP_SERVER_VERSION'.
	* src/daemon/gnuserv.c, lib/open.c: Improved version check between
	client and server.

	* include/glibtop/output.h: Removed.

	* sysdeps/stub_suid: New directory. This is mainly used as example
	for people porting libgtop to other systems.

	* sysdeps/common/sysdeps_suid.c: New file.
	Defines `glibtop_init_hook_p'.

	* sysdeps/osf1/*.c (glibtop_init_<no-suid-feature>_s): New functions.
	(glibtop_init_<suid-feature>_p): New functions.

1998-08-07  Martin Baulig  <martin@home-of-linux.org>

	* glibtop.h (_glibtop): New fields `error_method', `sysdeps' and
	`required'. I added an improved error handling: the client can tell
	the libraries which fields are absolutely required for each features
	and if it fails to set one of them, this will create an error which
	is handled depending upon the `error_method'.

	* include/glibtop/open.h: Define some constants for `error_method'.

	* lib/sysdeps.c (glibtop_get_sysdeps_r): No longer actually call any
	sysdeps function, it now simply copies `server->sysdeps'.
	(_glibtop_init_hook_s): Added. List of functions to be called during
	`glibtop_init_s' set to `glibtop_init_<no-suid-feature>_s'.

	* include/glibtop/sysdeps.h (<glibtop/union.h>): Removed.
	(glibtop_init_func_t): New typedef.
	(_glibtop_init_hook_s): Added.

	* sysdeps/linux/*.c (glibtop_init_<feature>_s): New functions.
	(glibtop_get_proc_*): Zero is now a valid pid.

	* sysdeps/kernel/*.c (glibtop_init_<feature>_s): New functions.
	(glibtop_get_proc_*): Zero is now a valid pid.

1998-08-06  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (HAVE_SOCKETS, HAVE_SOCKADDR_SUN_LEN): New checks.

	* include/glibtop/*.h: Using `GLIBTOP_GUILE' instead of `HAVE_GUILE'
	so one should be able to use libgtop without guile in an application
	even if guile is installed.

	* sysdeps/common/mountlist.c: Fixed some `xstrdup' problems.

	* lib/open.c: Now correctly reading server features for
	`GLIBTOP_METHOD_PIPE'.

	* sysdeps/freebsd: New directory.

1998-08-01  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/swap.h (glibtop_swap): Added `pagein' and `pageout'.

	* kernel/table20/table.h: Removed.
	* kernel/table21/table.h: Removed.
	* kernel/table.h: Added. Things are now binary compatible between
	both kernel versions.

1998-07-30  Martin Baulig  <martin@home-of-linux.org>

	* acconfig.h (guint64, int64_t): Added.

	* lib/lib.awk: Using correct `(1 << GLIBTOP_SYSDEPS_<feature>)'
	in call to `glibtop_init_r'.

	* configure.in (GNOME_LIBGTOP_TYPES): New check.

	* include/glibtop/*.h: Using `guint64' instead of `unsigned long'
	and `long' to avoid problems when client is on a 32bit system and
	the server on a 64bit system.

	* sysdeps/common/gnuslib.c: Using `0xffffffff' instead of -1
	as error code for inet_addr () since on 64bit systems,
	`inet_addr (some_error) != (INET_ADDR) -1'.

	* configure.in: Only defining guile stuff if
	we really have guile.

1998-07-29  Martin Baulig  <martin@home-of-linux.org>

	* guile/ChangeLog: New file.

	* features.def: New format - now includes type of return value
	and parameters.

	* lib/lib.awk: Changed to use new `features.def'.
	* sysdeps/guile/guile.awk: Dito;
	* sysdeps/guile/names/guile-names.awk: Dito.

	* libgtopConf.sh.in: Added
	`LIBGTOP_NAMES_LIBS', `LIBGTOP_NAMES_INCS',
	`LIBGTOP_GUILE_NAMES_LIBS', `LIBGTOP_GUILE_NAMES_INCS',
	`LIBGTOP_MAJOR_VERSION', `LIBGTOP_MINOR_VERSION'
	`LIBGTOP_VERSION', `libgtop_sysdeps_dir'.

	* acinclude.m4 (AC_LC_SYSDEPS): Removed since this has been
	replaced with `GNOME_LIBGTOP_SYSDEPS' long ago.

	* LIBGTOP-VERSION: New file.

	* */Makefile.am (INCLUDES): Removed; now defined in `configure.in'.

	* sysdeps/names/mountlist.c: New file.

	* lib/{init, open}.c (GTOP_SERVER): Renamed to `LIBGTOP_SERVER'.

	* configure.in (INCLUDES): Added definition.
	(libgtop_want_names): Always true; `libgtop_names.la' is now
	always created since some other programs rely upon it - but
	have to use `LIBGTOP_NAMES_LIBS' and `LIBGTOP_NAMES_INCS' to
	use it in your application.
	(libgtop_want_guile_names): Always true; but you have to use
	`LIBGTOP_GUILE_NAMES_LIBS' and `LIBGTOP_GUILE_NAMES_INCS' to
	use it in your application.
	(LIBGTOP_LIBS): Removed `-lgtop_names' and `-lgtop_guile_names'.
	(LIBGTOP_NAMES_LIBS): New variable. Use it to link your
	application with the names interface.
	(LIBGTOP_NAMES_INCS): New variable. Also #defines `GLIBTOP_NAMES'
	which is now required if your application wants to use the names
	interface.
	(LIBGTOP_GUILE_NAMES_LIBS): New variable. Use it to link your
	application with the guile names interface.
	(LIBGTOP_GUILE_NAMES_INCS): New variable. Also #defines
	`GLIBTOP_NAMES' and `GLIBTOP_GUILE_NAMES' which are now required
	if your application wants to use the guile names interface.

1998-07-24  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/common/mountlist.c (glibtop_get_mountlist_s):
	Added `all_fs' parameter.

	* sysdeps/{kernel, linux}/*.c: Replaced `glibtop_init_r' with
	`glibtop_init_s'.

	* sysdeps/sun4/open.c (glibtop_init_p): Removed `program_name'
	parameter.

	* sysdeps/osf1/glibtop_suid.h: New file.

	* sysdeps/osf1/glibtop_server.h: Now correctly using
	`(1 << GLIBTOP_SYSDEPS_*)' instead of `GLIBTOP_SYSDEPS_*'.

	* sysdeps/osf1/open_suid.c (glibtop_init_p): New function.

	* sysdeps/osf1/proc*.c: Done some more work here.

1998-07-23  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/procsignal.h (glibtop_proc_signal):
	Changed type for `signal', `blocked', `sigignore' and
	`sigcatch' to `unsigned long long'.

1998-07-22  Martin Baulig  <martin@home-of-linux.org>

	* include/glibtop/fsusage.h: New file.

	* features.def: Added new feature `fsusage'.

	* sysdeps/common/fsusage.c (glibtop_get_fsusage_s): New function.
	(get_fs_usage): Declared as `static'.

	* sysdeps/names/fsusage.c: New file.

	* include/glibtop/mountlist.h: New file.

	* features.def: Added new feature `mountlist'.

	* sysdeps/common/mountlist.c (glibtop_get_mountlist_s): New function.
	(read_filesystem_list): Declared as `static'.

	* sysdeps/common/Makefile.am (libgtop_common_la_SOURCES):
	Added `fsusage.[ch]' and `mountlist.[ch]'.

	* include/glibtop/signal.h: New file.

	* sysdeps/{kernel, linux, osf1, sun4, stub}/siglist.c: New files.

1998-07-22  Martin Baulig  <martin@home-of-linux.org>

	* lib/init.c (glibtop_init_s): Added this init function of
	the sysdeps directory `libgtop_sysdeps.la'.

	* lib/open.c (glibtop_open_l): Unconditionally calling
	`glibtop_init_s' after server initialization.

	* lib/lib.awk: Removed references to functions from
	`libgtop_sysdeps_suid.la' to avoid undefined symbols.

	* sysdeps/stub/open.c (glibtop_open_s): Renamed this
	function from `glibtop_open_r'.

	* sysdeps/stub/close.c (glibtop_close_s): Renamed this
	function from `glibtop_close_l'.

	* sysdeps/kernel/open.c (glibtop_open_s): Renamed this
	function from `glibtop_open_r'.

	* sysdeps/kernel/close.c (glibtop_close_s): Renamed this
	function from `glibtop_close_l'.

	* sysdeps/linux/open.c (glibtop_open_s): Renamed this
	function from `glibtop_open_r'.

	* sysdeps/linux/close.c (glibtop_close_s): Renamed this
	function from `glibtop_close_l'.

	* sysdeps/osf1/Makefile.am (lib_LTLIBRARIES): Added
	`libgtop_sysdeps_suid.la' for the suid server.

	* sysdeps/osf1/open_suid.c (glibtop_open_p): New file.
	Contains all stuff that was formerly in `open.c'.

	* sysdeps/osf1/open.c: Moved everything from here into
	the new file `open_suid.c'.

	* sysdeps/osf1/open.c (glibtop_open_s): New function.

	* sysdeps/osf1/close_suid.c (glibtop_close_p): New file.

	* sysdeps/osf1/close.c (glibtop_close_s): New function.

	* sysdeps/osf1/*.c: Using the new init, open and close
	functions.

	* sysdeps/sun4/Makefile.am (lib_LTLIBRARIES): Added
	`libgtop_sysdeps_suid.la' for the suid server.

	* sysdeps/sun4/nosuid.c (glibtop_open_s, glibtop_close_s): New file

	* sysdeps/sun4/*.c: All functions now have the `_p' suffix.

	* sysdeps/common/Makefile.am (lib_LTLIBRARIES): Added
	`libgtop_suid_common.la' which only contains stuff that is
	needed in the suid parts.

	* sysdeps/common/xmalloc.c: Using `glibtop_error_io_r' instead
	of `glibtop_error_r'.

	* sysdeps/{kernel, linux, osf1, sun4, stub}/init.c: Removed.
	`glibtop_init_s' has been moved into `lib/init.c' since it's the
	same in all the sysdeps directories.

	* src/server/main.c: It is now an error to request a feature that
	does not need the suid server.

	* src/proxy: Removed.

1998-07-21  Martin Baulig  <martin@home-of-linux.org>

	* doc/ChangeLog: New file.

	* sysdeps/kernel/*.c: Using `glibtop_error_io_r' instead
	of `glibtop_error_r'.

	* sysdeps/kernel/proclist.c: Now using the table () function, too.
	This means that currently the table () function can fetch all
	information for libgtop and you can even unmount /proc !

1998-07-18  Martin Baulig  <martin@home-of-linux.org>

	* lib/{init, open}.c: Added `GLIBTOP_METHOD_PIPE' again.

	* src/server/main.c: Removed gettext stuff.

1998-07-17  Martin Baulig  <baulig@Stud.Informatik.uni-trier.de>

	* sysdeps/common/sysdeps.c (glibtop_get_sysdeps_r): Using
	library functions with '_l' prefix instead of directly calling
	sysdeps code with '_r' prefix. This is necessary for client/server
	mode.

	* lib/lib.awk (glibtop_get_*): Now correctly using
	`(1 << GLIBTOP_SYSDEPS_*)' instead of `GLIBTOP_SYSDEPS_*'.

	* sysdeps/sun4/proclist.c (glibtop_get_proclist_p): Added
	implementation of that feature.

	* sysdeps/sun4/proc_{uid, state}.c: Now working quite well.

	* sysdeps/sun4/proc_{mem, time, signal, kernel, segment}.c: Added
	some basic implementation; this isn't really working yet.

	* sysdeps/linux/sem_limits.c: Applied patch from Albert K T Hui
	<avatar@deva.net> for glibc 2.1.

1998-07-15  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/sun4/loadavg.h: New file. Imported from top 3.4.

	* sysdeps/sun4/uptime.c (glibtop_get_uptime_p): Added
	implementation of that function using glibtop_get_cpu ().

	* sysdeps/sun4/loadavg.c (glibtop_get_loadavg_p): Added
	implementation of that feature.

	* sysdeps/sun4/{shm_limits.c, msg_limits.c, shm_limits.c}:
	Added implementation of this features.

1998-07-14  Martin Baulig  <baulig@Stud.Informatik.uni-trier.de>

	* src/daemon/server_config.h.in: Added some comments.

	* src/daemon/server_config.pl: New file. This is a script you can use
	to create `server_config.h'. It will query you for some configuration
	options.

	* configure.in (AC_PROG_AWK): Replaced this test with explicit test
	for `gawk' and `awk' since `mawk' doesn't work.

1998-07-14  Martin Baulig  <martin@home-of-linux.org>

	* src/daemon/gnuserv.c: Doing correct server initialization
	using `glibtop_set_parameter_l' and `glibtop_init_r'.

	* src/daemon/main.c: Removed call to `glibtop_init_r'.

	* lib/open.c (glibtop_open_l): We now call the open function
	of the sysdeps directory (glibtop_open_r) for server method
	`GLIBTOP_METHOD_DIRECT'.

	* sysdeps/{linux, sun4, stub}/open.c: No longer `memset'
	server to zero.

	* src/daemon/slave.c: New file.

	* src/daemon/*.c: Done some more work on the daemon.

	* sysdeps/common/gnuslib.c: Removed IPC stuff.

	* include/glibtop/gnuserv.h: Removed IPC stuff.

	* include/glibtop/command.h (glibtop_response_unit): Added
	typedef for `struct _glibtop_response_unit'.

	* lib/Makefile.am: Using `$(top_srcdir)/features.def'
	instead of `$(top_builddir)/features.def'.

	* sysdeps/guile/Makefile.am: Using `$(top_srcdir)/features.def'
	instead of `$(top_builddir)/features.def'.

	* sysdeps/guile/names/Makefile.am: Dito.

	* sysdeps/stub/*.c: changed suffix of all functions
	from '_s' to '_r'; see also ChangeLog entry from Jun 6.

1998-07-13  Martin Baulig  <baulig@merkur.uni-trier.de>

	* src/daemon/server_config.h: Removed from CVS.
	This is a config file which needs to be edited.

	* src/daemon/server_config.h.in: Added. This is just
	an example for `server_config.h'.

1998-07-13  Martin Baulig  <martin@home-of-linux.org>

	* glibtop.h: Fixed invocation of `glibtop_close_r'.

	* sysdeps/linux/procstate.c: Added missing `fclose'.

	* include/glibtop/gnuserv.h (UNIX_DOMAIN_SOCKETS): Defining.

	* include/glibtop/open.h (GLIBTOP_METHOD_UNIX): Added.

	* lib/init.c: Added new method `GLIBTOP_METHOD_UNIX'.

	* lib/open.c: Added support for Unix Domain Sockets.

	* lib/close.c: Now closing inet and unix connections.

	* lib/parameter.c (glibtop_set_parameter_l): You can now
	set the `method' and `features' fields.

	* src/daemon/server_config.h: New file.

	* src/daemon/{gnuserv.c, main.c}: More work on the server.

1998-07-10  Martin Baulig  <martin@home-of-linux.org>

	* src/Makefile.am (SUBDIRS): Removed `proxy'. This directory
	is considered obsolete and will be removed soon.

1998-07-06  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/common/mountlist.c: using functions from `xmalloc.c'.

	* sysdeps/common/error.c: all functions now accept NULL as
	`server' argument.

	* acconfig.h (AFS, MOUNTED_FREAD, MOUNTED_FREAD_FSTYP,
	MOUNTED_GETFSSTAT, MOUNTED_GETMNT, MOUNTED_GETMNTENT1,
	MOUNTED_GETMNTENT2, MOUNTED_GETMNTINFO, MOUNTED_LISTMNTENT,
        MOUNTED_VMOUNT, STAT_STATFS3_OSF1, STAT_READ_FILSYS,
        STAT_STATFS2_BSIZE, STAT_STATFS2_FSIZE, STAT_STATFS2_FS_DATA,
        STAT_STATFS4, STAT_STATVFS, STATFS_TRUNCATES_BLOCK_COUNTS):
        New macros.

	* configure.in: added GNOME_FILEUTILS_CHECKS.

	* sysdeps/common/{fsusage, mountlist}.[ch]:
	Imported from GNU Fileutils 3.16.

	* sysdeps/common/mountlist.c: using g_malloc, g_realloc and g_strdup.

1998-07-03  Martin baulig  <martin@home-of-linux.org>

	* macros/gnome-libgtop-sysdeps.m4: No longer use
	`glibtop_machine.h' for Linux.

	* sysdeps/linux/glibtop_machine.h: Removed.

	* sysdeps/guile/guile.awk: Using `scm_append'
	instead of `gh_append'.

	* sysdeps/guile/names/guile-names.awk: dito.

	* sysdeps/linux/*.c: Using code from stable branch again.

	* include/glibtop/parameter.h: New file.

	* lib/parameter.c: New file.

	* lib/{open, init}.c: Done some more work on server
	initialization

1998-06-21  Martin Baulig  <martin@home-of-linux.org>

	* perl/*: Added perl interface.

	* sysdeps/linux/cpu.c: Bug fix.

	* include/glibtop/global.h: Only including guile header files
	within libgtop.

	* configure.in (LIGBTOP_LIBS): Added `-lgtop'.

	* Makefile.am: Creating `perl/Makefile.PL' from `perl/Makefile.PL.in'
	and `perl/Libgtop.xs' using `perl/perl.awk'.

1998-06-18  Martin Baulig  <baulig@taurus.uni-trier.de>

	* sysdeps/linux/*.c: Reverted some stuff from 06-07-1998
	since it was too buggy.

	* glibtop.h (_glibtop): New field `server_port'.

	* lib/xmalloc.c (g_strdup): New function.

	* lib/gnuclient.c: Removed.

	* lib/{command, write, read}.c: Changed client <-> server
	interface to make less system calls.

	* src/daemon/main.c: Changed server side of interface.

	* include/glibtop/command.h (struct _glibtop_response): New
	structure to return data from the server to the client.

1998-06-14  Martin Baulig  <martin@home-of-linux.org>

	* glibtop.h (struct _glibtop): Added `socket' field.

	* include/glibtop/gnuserv.h: New file. Imported from xemacs 20.3.

	* sysdeps/common/gnuslib.c: New file. Imported from xemacs 20.3

	* lib/gnuclient.c: New file. Imported from xemacs 20.3

	* sysdeps/daemon/gnuserv.c: New file. Imported from xemacs 20.3

	* sysdeps/daemon: New directory.

	* configure.in (LIBGTOP_LIBS, LIBGTOP_GUILE_LIBS): Added
	`$X_LIBS -lXau' when we have xauth.

	* acconfig.h (HAVE_XAUTH): New tag.

	* configure.in: Added check for `HAVE_XAUTH'.

	* sysdeps/common/error.c (glibtop_warn_r): New function -
	same as `glibtop_error_r', but doesn't call `exit'.
	(glibtop_error_io_r, glibtop_warn_io_r): New functions,
	display `strerror (errno)' together with message.

	* include/glibtop/global.h (TIME_WITH_SYS_TIME): including
	correct headers; (HAVE_UNISTD_H): Added conditional.
	Added `#include <sys/param.h>' and `#include <sys/stat.h>'.

	* acconfig.h (HAVE_LINUX_TABLE): New tag.

	* lib/lib.awk: New file.
	Creates `lib.c' depending upon `features.def'.

	* lib/<feature>.c: Removed.

	* sysdeps/guile/guile.awk: New file.
	Creates `guile.c' depending upon `features.def'.

	* sysdeps/guile/*.c: Removed.

1998-06-13  Martin Baulig  <martin@home-of-linux.org>

	* features.def: List of features for `guile-names.awk'.

	* sysdeps/guile/names/guile-names.awk: New file.
	Creates `guile-names.c' depending upon `features.def'.

	* sysdeps/guile/names/*.c: Removed.

	* kernel: New directory. Contains some kernel code to
	implement a new system call table () to fetch information
	directly from the Linux kernel.

	* sysdeps/kernel: New directory. Uses the table () function
	from the `kernel' directory to fetch things directly from
	the Linux kernel.

	* sysdeps/Makefile.am (DIST_SUBDIRS): Added `kernel'.

	* configure.in: Removed `build_CC' again.

1998-06-12  Martin Baulig  <baulig@taurus.uni-trier.de>

	* include/glibtop/sysdeps.h (glibtop_types_sysdeps):
	Forgot to change declaration on Jun 6.

	* sysdeps/names/sysdeps.c (glibtop_types_sysdeps):
	Using numeric constants from `types.h' instead of string
	constants; forgot to change this on Jun 6. Added information
	about new `features' field of `_glibtop_sysdeps'.

	* sysdeps/guile/names/*.c (glibtop_guile_types_*):
	Using `gh_ulong2scm' instead of `gh_str02scm'.

	* sysdeps/guile/proclist.c: Replaced call to
	`gh_append2 ()' with `gh_append ()'.

	* sysdeps/guile/names/*.c: dito.

1998-06-08  Martin Baulig  <martin@home-of-linux.org>

	* support: Added again.

	* Makefile.am (SUBDIRS): Added `support' again.

	* configure.in: First, we check for gnome. If it is not
	found, we run GNOME_SUPPORT_CHECKS; otherwise use
	`$GNOME_LIBDIR -lgnomesupport'.

1998-06-07  Martin Baulig  <martin@home-of-linux.org>

	* examples/ChangeLog: New file.

	* macros/gnome-libgtop-sysdeps.m4: Include
	`glibtop_machine.h' for Linux.

	* sysdeps/linux/glibtop_machine.h: New file.

	* sysdeps/linux/*.c: Performance optimizations. We now use
	`open' and `read' instead of `fopen' and `fscanf'.

	* *.[ch]: Using single underscore instead of two underscores
	for function prefixes (regexp: ``s,__([rspl])\b,_$1,g'') to
	avoid ambiguity with mangled C++ names.

1998-06-06  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/osf1/glibtop_server.h: New file.

	* sysdeps/osf1/*.c: renamed all functions implementing
	features that don't need to be suid to '__s'.

	* sysdeps/names/procdata.c: Removed that file.

	* include/glibtop/*.h (glibtop_types_*): Changed declaration.

	* glibtop.h: Added `#include <types.h>'.

	* include/glibtop/types.h: New file - numeric constants
	for `glibtop_types_<feature>'.

	* sysdeps/names/*.c (glibtop_types_*): Using numeric
	constants from `types.h' instead of string constants.

1998-06-05  Martin Baulig  <baulig@taurus.uni-trier.de>

	* support: removed that directory.

	* configure.in: we check whether '-lgnomesupport' is
	included in $GNOME_LIBS and add it together with
	$GNOME_LIBDIR to LIBSUPPORT in this case.

	Gnome (gnome-libs) is now required to build libgtop,
	added short comment to configure.in how to revert this
	change.

	* Makefile.am: removed `support' subdir.

1998-06-03  Martin Baulig  <baulig@merkur.uni-trier.de>

	* libgtop.spec: New file.

	* Makefile.am (EXTRA_DIST): Added `autogen.sh' and
	`libgtop.spec'.

	* configure.in (LIBGTOP_INCS): is now identically to
	`LIBGTOP_GUILE_INCS'.

	* include/glibtop/global.h: only including intl headers
	while compiling libgtop.

1998-06-02  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* src/server/main.c: #include <locale.h>

1998-06-02  Martin Baulig  <baulig@merkur.uni-trier.de>

	* lib/open.c (glibtop_open): renamed to `glibtop_open__l'.

	* sysdeps/linux/open.c (glibtop_open): renamed to
	`glibtop_open__r'.

	* include/glibtop/open.h (GLIBTOP_OPEN_NO_OVERRIDE):
	tells `glibtop_open' to use the default server and not
	to check the environment variables.

	* include/glibtop/sysdeps.h (_glibtop_sysdeps):
	renamed 'dummy' member to 'features'.

	* src/proxy/*: new directory - proxy server.

	* include/glibtop/command.h (GLIBTOP_CMND_SYSDEPS):
	added definition here.

	* src/server/main.c (GLIBTOP_CMND_SYSDEPS): new
	command to get glibtop_server_features.

1998-06-01  Martin Baulig  <martin@home-of-linux.org>

	* NEWS: added more detailed description of today's and
	yesterday's changes.

	* include/glibtop/*.h: to use the ChangeLog entry from May 28:
	'__l' is a function defined in the client part;
	'__s' is a function defined in the sysdeps part and
	'__p' is a function that needs special priviledges.
	'__r' is mapped either on '__p' or on '__s'.
	the function without suffix is mapped on '__l'.

	* sysdeps/common/sysdeps.c: now using '__r' functions,
	they are #defined either as the '__p' or the '__s' ones.

	* sysdeps/linux/*.c: changed call of 'glibtop_init__r',
	it now takes two additional arguments.

	* examples/{first.c, second.c}: now using 'glibtop_init'
	instead of 'glibtop_init__r'.

	* include/glibtop/sysdeps.h: added 'dummy' member so
	'GLIBTOP_SYSDEPS_<feature>' now start with 1.

	* include/glibtop/*.h: we now #define 'glibtop_get_<feature>'
	as 'glibtop_get_<feature>__l' and 'glibtop_get_<feature>__r'
	either as the '__p' or the '__s' function.

	* lib/*.c: removed #if's - we now decide at runtime
	whether to use the server or to call the appropriate
	function for the sysdeps directory.

1998-05-28  Martin Baulig  <baulig@merkur.uni-trier.de>

	* src/server/main.c: we now use the '__p' functions,
	but only if the appropriate 'GLIBTOP_SUID_<feature>'
	has a non-zero value.

	* configure.in (@machine_incs@): always use
	`-I$(top_srcdir)/sysdeps/@sysdeps_dir@'; it's no
	longer conditional.

	* examples/Makefile.am: removed the '_linux' examples.

	* sysdeps/linux/*.c: renamed all functions implementing
	features to '__s'.

	* lib/*.c: renamed all functions implementing features
	to '__l'; we only emit code for those functions if the
 	corresponding 'GLIBTOP_SUID_<feature>' has a positive value.

	* include/glibtop/*.h: added some new function suffixes:
	'__l' is a function defined in the client part;
	'__s' is a function defined in the sysdeps part and
	'__p' is a function that needs special priviledges.
	'__r' is mapped either on '__l' or on '__s'.

	* sysdeps/linux/glibtop_server.h: New file -
	defines system dependent constants 'GLIBTOP_SUID_<feature>'
	being either 'GLIBTOP_SYSDEPS_<feature>'+1 depending upon
 	whether or not this feature requires using the server.

	* lib/sysdeps.c: removed that file; it is no longer
	needed.

1998-05-25  Martin Baulig  <baulig@merkur.uni-trier.de>

	* src/server/main.c: Fixed `broken pipe' error when server
	is running SUID; accidentally uses setreuid () instead of
	setregid ().

1998-05-24  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/sun4/{open.c, mem.c, glibtop_machine.h}: added
	memory statistics.

	* include/glibtop/mem.h (_glibtop_mem): added `locked'
	member to this structure for SunOS.

1998-05-23  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/sun4/{open.c, cpu.c}: Started porting.
	Getting CPU usage now working. Took a lot of code
	from top-3.4.

	* sysdeps/sun4/glibtop_machine.h: New file.
	System dependend header file for SunOS.

	* configure.in (CFLAGS): added -D_IN_LIBGTOP

	* */Makefile.am (INCLUDES): removed -I$(includedir).

1998-05-22  Martin Baulig  <martin@home-of-linux.org>

	* doc/{libgtop-ref.sgml, libgtop-ref.dsl}: New files.
	This is a reference manual that gets automatically
	build from make-docbook.scm.

	* guile/make-docbook.scm: New file. Uses the guile
	interface of libgtop to create docbook documentation
	for all functions.

1998-05-21  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am: 'gtopConf.sh' has been renamed to
	'libgtopConf.sh'; variables in this script have changed.

	* lib/Makefile.am: uses '@LIBGTOP_SERVER@' instead of
	'@GTOP_SERVER@'.

	* configure.in: renamed variables for 'libgtopConf.sh.in'.

	* acconfig.h: added 'NEED_LIBGTOP'.

	* libgtopConf.sh.in: renamed from 'gtopConf.sh.in';
	we now define 'LIBGTOP_LIBDIR', 'LIBGTOP_INCLUDEDIR',
	'LIBGTOP_LIBS', 'LIBGTOP_INCS', 'LIBGTOP_GUILE_LIBS',
	'LIBGTOP_GUILE_INCS', 'LIBGTOP_BINDIR', 'LIBGTOP_SERVER',
	'libgtop_sysdeps_dir', 'libgtop_need_server',
	'libgtop_use_machine_h', 'libgtop_guile_found',
	'libgtop_want_names', 'libgtop_want_guile_names',
	'libgtop_want_examples'.

	* gtopConf.sh.in: renamed to 'libgtopConf.sh.in'.

	* acinclude.m4 (AC_LC_SYSDEPS): rewrote that macro -
	moved some of the code to 'macros/gnome-libgtop-sysdeps.m4';
	renamed variables: look at the ChangeLog entry for the
	new 'libgtopConf.sh.in' for details.

	* doc/gnome-hackers.sgml: added information about latest
	changes in 'acinclude.m4' and 'gtopConf.sh.in'.

	* Makefile.am: conditionally building 'examples' subdir,
	added 'copyright.txt' to EXTRA_DIST.

	* configure.in: added 'gtop_guile_found', 'gtop_want_names',
	'gtop_want_guile_names' and 'gtop_want_examples' for use in
	'gtopConf.sh.in'; added 'include' and 'include/glibtop' subdirs.

	* acconfig.h: added 'GLIBTOP_EXAMPLES'.

	* acinclude.m4 (AC_LC_SYSDEPS): define 'GLIBTOP_NAMES' when
	building libgtop and a new conditional 'GLIBTOP_NAMES'; added
	new parameter '--without-examples'; define 'GLIBTOP_EXAMPLES'
	and conditional 'GLIBTOP_EXAMPLES'.

	* gtopConf.sh.in: added 'GTOP_GUILE_FOUND', 'GTOP_WANT_NAMES',
	'GTOP_WANT_GUILE_NAMES' and 'GTOP_WANT_EXAMPLES'.

	* include/glibtop/Makefile.am: new file - header file
	now get properly installed and go into the distribution.

	* include/Makefile.am: new file

	* sysdeps/guile/Makefile.am: added 'DIST_SUBDIRS'

	* sysdeps/Makefile.am: added 'DIST_SUBDIRS'

	* doc/gnome-hackers.sgml: new file - short intro on how
	to use libgtop in the gnome project; especially 'configure'
	and 'gtopConf.sh'.

	* doc/gnome-hackers.dsl: new file - sets output filename
	and directory for 'gnome-hackers.sgml'.

	* doc/libgtop.dsl: most stuff from this file has moved
	to 'dbtohtml.dsl', it now only overrides the output
	filename and directory.

	* doc/dbtohtml.dsl: new file - contains most that was
	formerly in 'libgtop.dsl'.

	* configure.in: 'GTOP_INCS' and 'GTOP_LIBS' now really
	point to the places where everything gets installed and
	no longer to the build directory, so that they can be
	used in 'gtopConf.sh'.

	* acinclude.m4 (AC_LC_SYSDEPS): added 'machine_incs'
	which is used in 'INCLUDES' in several 'Makefile.am's;
	fixed typo 'ac_cv_want_names'; added missing AC_SUBST
	of 'use_glibtop_machine_h'.

1998-05-20  Martin Baulig  <baulig@merkur.uni-trier.de>

	* NEWS: added more detailed description of
	today's changes.

	* examples/third.c: added required check for
	'GLIBGTOP_GUILE_NAMES'.

	* sysdeps/Makefile.am: only build 'names' subdir
	when necessary.

	* sysdeps/guile/Makefile.am: only build 'names'
	subdir when necessary.

	* acinclude.m4 (AC_LC_SYSDEPS): added
	'--enable-libgtop-server' (default=auto),
 	'--enable-libgtop-names' (default=yes) and
	'--enable-libgtop-guile' (default=yes); we
	now define 'GLIBTOP_NAMES' here.

	* acconfig.h: added 'GLIBTOP_NAMES' and
	'GLIBTOP_GUILE_NAMES'

	* gtopConf.sh.in: added definition of 'GTOP_GUILE_LIBS'
	and 'GTOP_GUILE_INCS':

	'GTOP_LIBS' and 'GTOP_INCS' now contains everything
	that is needed to link with libgtop.

	'GTOP_GUILE_LIBS' and 'GTOP_GUILE_INCS' now contains
	everything that is needed to link with libgtop and its
	guile interface. When guile cannot be found on the system
	or building of the guile interface was disables, they are
	identical to 'GTOP_LIBS' and 'GTOP_INCS'
	[FIXME: Should I make them empty in this case?]

	* sysdeps/osf1/procuid.c (glibtop_get_proc_uid__r):
	added implementation for DEC OSF/1.

	* sysdeps/sun4/uptime.c: forgot to checkin

	* sysdeps/sun4/loadavg.c: forgot to checkin

	* sysdeps/osf1/uptime.c: forgot to checkin

	* sysdeps/osf1/loadavg.c: forgot to checkin

1998-05-19  Martin Baulig  <baulig@merkur.uni-trier.de>

	* sysdeps/stub/uptime.c: forgot this file all the
	time - stub for glibtop_uptime

	* sysdeps/stub/loadavg.c: forgot this file all the
 	time - stub for glibtop_loadavg

	* NEWS: Libgtop is now in the GNOME CVS Repository.

	* po/Makefile.in.in: new file

	* ABOUT-NLS: new file

1998-05-17  Martin Baulig  <martin@home-of-linux.org>

	* NEWS: added some stuff from 'README.LATEST'.

	* README.LATEST: incorporated content of this file
	into 'NEWS'.

	* include/glibtop: added references to
	'glibtop_types_* []' and 'glibtop_guile_types_*'.

	* sysdeps/guile/names: added implementations of
	'glibtop_types_*' and 'glibtop_description_*'.

	* sysdeps/names: added 'glibtop_types_* []',
	changed 'glibtop_descriptions_* []'.

1998-05-11  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/linux: finished the remaining proc_*
	functions.

	* sysdeps/guile: all guile functions now return
	the 'flags' member as first element of the list.

	* include/glibtop/procstate.h (glibtop_proc_state):
	added 'uid' and 'gid' members; the library tries hard
	to set those values; it will never set the corresponding
	'flags' value unless the values are correct.

	* examples/first.c: added some nice features.

	* examples/second.c: new file - dumps out all
	currently running processes.

1998-05-11  Martin Baulig  <baulig@merkur.uni-trier.de>

	* sysdeps/linux/cpu.c: added 'frequency' member
	to 'struct _glibtop_cpu'.

	* include/glibtop/cpu.h (glibtop_cpu):
	added 'frequency' member

	* sysdeps/guile/names/procdata.c: splitted into
	procstate.c, procuid.c, procmem.c, proctime.c,
	procsignal.c, prockernel.c and procsegment.c

	* sysdeps/guile/procdata.c: splitted into
	procstate.c, procuid.c, procmem.c, proctime.c,
	procsignal.c, prockernel.c and procsegment.c

	* lib/procdata.c: splitted into
	procstate.c, procuid.c, procmem.c, proctime.c,
	procsignal.c, prockernel.c and procsegment.c

	* include/glibtop/procdata.h: splitted into
	procstate.h, procuid.h, procmem.h, proctime.h,
	procsignal.h, prockernel.h and procsegment.h

1998-05-10  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/osf1: port to OSF1 has been made.

1998-05-07  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/guile/sysdeps.c: changes to reflect the
	new flags of procdata.

	* sysdeps/common/sysdeps.c: changes to reflect the
	new flags of procdata.

	* sysdeps/linux/procdata.c: 'flags' member is now
	'unsigned long flags [2]'.  When we give
	glibtop_get_procdata () a pid of zero, only
	the flags are returned.

	* sysdeps/linux: now using static constant instead
	of #define for sysdeps.

	* include/glibtop/procdata.h: flags is now
	'unsigned long flags [2]'.

	* examples/first.c: output sysdeps

1998-05-03  Martin Baulig  <martin@home-of-linux.org>

	* ltconfig.diff: ugly hack: when cross compiling, we assume
	building shared libraries work.

1998-05-02  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/stub/init.c: new file - initializes global server.

	* sysdeps/linux/init.c: new file - initializes global server.

	* lib/init.c: new file - initializes global server.

	* glibtop.h: global changes to the interfaces, all functions except
	glibtop_open() and glibtop_close() that took a server argument have
	now a '__r' suffix; the original name is now a macro that uses
	glibtop_global_server.

1998-04-12  Martin Baulig  <martin@home-of-linux.org>

	* sysdeps/linux/open.c: we set server->os_version_code here,
	copied from gnome-utils/gtop/proc/version.c

	* sysdeps/linux/procdata.c: added implementation for this feature,
	mainly copied from gnome-utils/gtop/proc/readproc.c

	* glibtop.h: added os_version_code member to struct _glibtop

	* src/server/Makefile.am: moved here from src

	* src/server/version.c: moved here from src

	* src/server/output.c: moved here from src

	* src/server/main.c: moved here from src

	* src/mico/server.cc: new file - simple mico client

	* src/mico/client.cc: new file - simple mico client

	* src/mico/proclist.idl: new file - simple mico interface

	* src/version.c: moved to src/server

	* src/output.c: moved to src/server

	* src/main.c: moved to src/server

1998-04-11  Martin Baulig  <martin@home-of-linux.org>

	* doc/libgtop.sgml: added chapter on how to extend the library

	* sysdeps/names/procdata.c: new file - names for glibtop_procdata

	* sysdeps/linux/procdata.c: new file - copy from sysdeps/stub

	* sysdeps/stub/procdata.c: new file - stub for glibtop_procdata

	* sysdeps/guile/names/procdata.c: new file - guile names for glibtop_procdata

	* sysdeps/guile/procdata.c: new file - guile interface for glibtop_procdata

	* lib/procdata.c: new file - library function for glibtop_procdata

	* include/glibtop/procdata.h: new file - interface for glibtop_procdata -
	get detailed information about a process

1998-04-10  Martin Baulig  <martin@home-of-linux.org>

	* doc/libgtop.sgml: wrote some more documentation

	* NEWS: Added new directory sysdeps/guile/names. It is the guile interface
	to the gtop_names library found in sysdeps/names. Changed
	GLIBTOP_DESCRIPTIONS to GLIBTOP_NAMES and added GLIBTOP_GUILE_NAMES
	to the header files.

	* sysdeps/guile/names/boot.c: new file - added also
	cpu.c, mem.c, swap.c, uptime.c, loadavg.c, shm_limits.c,
	msg_limits.c, sem_limits.c, proclist.c and sysdeps.c
	to this directory.

	* sysdeps/guile/cpu.c: bugfixes

	* sysdeps/guile/proclist.c: bugfixes

	* sysdeps/names/sysdeps.c (glibtop_labels_sysdeps): more verbose now

	* examples/third.c: added gtop_guile_names library

	* doc/libgtop.sgml: documented guile interface

	* glibtop.h: changed GLIBTOP_DESCRIPTIONS to GLIBTOP_NAMES;
	added GLIBTOP_GUILE_NAMES when we have the gtop_guile_names
	library added in sysdeps/guile/names

1998-04-09  Martin Baulig  <martin@home-of-linux.org>

	* NEWS: Added new directories guile and names to sysdeps. In names are
	some string constants about the data stored in the structures.
	guile is a guile interface for the library. It is used in
	examples /third (which has been completely rewritten).
	The header files define things from names when GLIBTOP_DESCRIPTIONS
	if defined and/or from guile when HAVE_GUILE is defined.

	* sysdeps/names/cpu.c: new file, also added
	cpu.c, mem.c, swap.c, uptime.c loadavg.c, shm_limits.c,
	msg_limits.c, sem_limits.c, proclist.c and sysdeps.c to
	this directory

	* sysdeps/guile/boot.c: new file, also added
	cpu.c, mem.c, swap.c, uptime.c loadavg.c, shm_limits.c,
	msg_limits.c, sem_limits.c, proclist.c and sysdeps.c to
	this directory

	* sysdeps/common/sem_limits.c: moved to sysdeps/names

	* sysdeps/common/msg_limits.c: moved to sysdeps/names

	* sysdeps/common/sem_limits.c: moved to sysdeps/names

	* examples/third.c: completely rewritten - simple guile interpreter linked
	with libgtop_guile

	* examples/second.c: removed

1998-04-08  Martin Baulig  <martin@home-of-linux.org>

	* ANNOUNCE: new file

	* examples/third.scm: new file - sample guile file

	* examples/third.c: new file - guile wrapper for libgtop

	* examples/second.c: new file - simple guile test from guile-tut.info

	* README: new file

	* libgtop-mirror.sh: new file: mirror script for my web site

	* doc/dbtohtml.dsl: renamed to libgtop.dsl

1998-04-06  Martin Baulig  <martin@home-of-linux.org>

	* lib/command.c: some changes in the interface

	* src/main.c: some changes in the interface, we can now return
		some arbitrary data

	* lib/proclist.c: new file - library function for glibtop_proclist

	* sysdeps/linux/proclist.c: new file - implementation for glibtop_proclist

	* sysdeps/stub/proclist.c: new file - stub for glibtop_proclist

	* include/glibtop/proclist.h: new file - glibtop_proclist

	* include/glibtop/union.h: new file

	* lib/read_data.c: new file

	* include/glibtop/read_data.h: new file

	* sysdeps/common/xmalloc.c: new file - moved here from lib

	* sysdeps/common/error.c: new file - moved here from lib

	* lib/xmalloc.c: moved to sysdeps/common

	* lib/error.c: moved to sysdeps/common

1998-04-05  Martin Baulig  <martin@home-of-linux.org>

	* lib/shm_limits.c: new file - library function for
		glibtop_shm_limits

	* lib/msg_limits.c: new file - library function for
		glibtop_msg_limits

	* lib/sem_limits.c: new file - library function for
		glibtop_sem_limits

	* sysdeps/linux/shm_limits.c: new file - implementation for
		glibtop_shm_limits

	* sysdeps/linux/msg_limits.c: new file - implementation for
		glibtop_msg_limits

	* sysdeps/linux/sem_limits.c: new file - implementation for
		glibtop_sem_limits

	* sysdeps/stub/shm_limits.c: new file - stub for
		glibtop_shm_limits

	* sysdeps/stub/msg_limits.c: new file - stub for
		glibtop_msg_limits

	* sysdeps/stub/sem_limits.c: new file - stub for
		glibtop_sem_limits

	* sysdeps/common/shm_limits.c: new file - limit names

	* sysdeps/common/msg_limits.c: new file - limit names

	* sysdeps/common/sem_limits.c: new file - limit names

	* include/glibtop/shm_limits.h: new file - glibtop_shm_limits

	* include/glibtop/msg_limits.h: new file - glibtop_msg_limits

	* include/glibtop/sem_limits.h: new file - glibtop_sem_limits

	* sysdeps/common/sysdeps.c: moved here from sysdeps/stub

	* sysdeps/linux/sysdeps.c: moved to sysdeps/common

	* sysdeps/stub/sysdeps.c: moved to sysdeps/common

	* sysdeps/stub/ipc_limits.c: splitted info shm_limits.c, msg_limits.c
		and sem_limits.c

	* sysdeps/linux/ipc_limits.c: splitted into shm_limits.c, msg_limits.c
		and sem_limits.c

	* lib/ipc_limits.c: splitted into shm_limits.c, msg_limits.c
		and sem_limits.c

	* include/ipc_limits.h: splitted into shm_limits.h, msg_limits.h
		and sem_limits.s

	* lib/ipc_limits.c: new file - library function for
		glibtop_ipc_limits

	* sysdeps/linux/ipc_limits.c: new file - implementation for
		glibtop_ipc_limits

	* sysdeps/stub/ipc_limits.c: new file - stub for
		glibtop_ipc_limits

	* include/glibtop/ipc_limits.h: new file - glibtop_ipc_limits -
		sysv ipc limits

	* doc/libgtop.sgml: worked on documentation

	* lib/uptime.c: new file - library function for
		glibtop_uptime

	* lib/loadavg.c: new file - library function for
		glibtop_loadavg

	* lib/sysinfo.c: removed - splitted into
		uptime.c and loadavg.c

	* sysdeps/linux/uptime.c: new file - implementation for
		glibtop_uptime

	* sysdeps/linux/loadavg.c: new file - implementation for
		glibtop_loadavg

	* sysdeps/linux/sysinfo.c: removed - splitted into
		uptime.c and loadavg.c

	* sysdeps/stub/uptime.c: new file - stub for
		glibtop_uptime

	* sysdeps/stub/loadavg.c: new file - stub for
		glibtop_loadavg

	* sysdeps/stub/sysinfo.c: removed - splitted into
		uptime.c and loadavg.c

	* src/main.c: added GLIBTOP_CMND_UPTIME and
		GLIBTOP_CMND_LOADAVG implementation

	* include/glibtop/loadavg.h: new file - glibtop_loadavg

	* include/glibtop/uptime.h: new file - glibtop_uptime

	* include/glibtop/loadavg.h: removed - splitted into
		uptime.h and loadavg.h

	* src/main.c: added GLIBTOP_CMND_SYSDEPS implementation

	* lib/sysdeps.c: new file - library function for glibtop_sysdeps

	* sysdeps/linux/sysdeps.c: new file - copied from sysdeps/stub

	* sysdeps/stub/sysdeps.c: new file - implementation for glibtop_sysinfo -
		this is really the implementation and not just a stub

	* src/sysdeps.c: moved to sysdeps/stub - this file is now part
		of the library

	* lib/sysinfo.c: new file - library function for glibtop_sysinfo

	* sysdeps/linux/sysinfo.c: new file - linux version for glibtop_sysinfo

	* sysdeps/stub/sysinfo.c: new file - stub for glibtop_sysinfo

	* include/glibtop/sysinfo.h: new file - provides uptime, idle time
		and load averange.

	* po/libgtop.pot: removed file

	* sysdeps/linux/cpu.c: using long unsigned format
	* sysdeps/linux/mem.c: using long usigned format
	* sysdeps/linux/swap.c: using long unsigned format
	* examples/first.c: using long unsigned format

	* initial version.

